<?php 
/**
 * Archive
 *
 * @package Ilander
 * @version 1.1.3
**/
?>

<?php get_header(); ?>

<div class="page-title-wrapper container-wrapper header-wrapper">
    <div class="container">
        <div class="col-xs-12">
          <?php if (have_posts()) : ?>

 			<?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>

			<?php /* If this is a category archive */ if (is_category()) { ?>
				<h2 class="page-title">Archive for the &#8216;<?php single_cat_title(); ?>&#8217; Category</h2>

			<?php /* If this is a tag archive */ } elseif( is_tag() ) { ?>
				<h2 class="page-title">Posts Tagged &#8216;<?php single_tag_title(); ?>&#8217;</h2>

			<?php /* If this is a daily archive */ } elseif (is_day()) { ?>
				<?php printf( __( '<h2 class="page-title">Archive for %s', 'Ilander' ), '' . get_the_date() . '</h2>' ); ?>

			<?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
				<?php printf( __( '<h2 class="page-title">Archive for %s', 'Ilander' ), '' . get_the_date( _x( 'F Y', 'monthly archives date format', 'Ilander') ) . '</h2>' ); ?>

			<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
				<?php printf( __( '<h2 class="page-title">Archive for %s', 'Ilander' ), '' . get_the_date( _x( 'Y', 'yearly archives date format', 'Ilander') ) . '</h2>' ); ?>

			<?php /* If this is an author archive */ } elseif (is_author()) { ?>
				<h2 class="page-title">Author Archive</h2>

			<?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
				<h2 class="page-title">Blog Archives</h2>
			
			<?php } ?>
          <hr>
        </div> <!-- .col-xs-12 -->
    </div> <!-- .container -->
</div> <!-- .container-wrap -->

		<?php endif; ?>


<?php 
	//Get variables
	$full_width = get_theme_mod('kbv_full_blog_width' );
	$include_sidebar = get_theme_mod('kbv_include_sidebar' );
	$include_masonry = get_theme_mod('kbv_include_masonry' );
	$masonry_style = get_theme_mod('kbv_masonry_style' );

	//See if ection will be full width
	if (empty($full_width)) {
		$full_width = 'container';
	}
	else {
		$full_width = '';
	}
	if (!empty($include_sidebar)) {
		$include_sidebar = 'col-sm-9'; //If sidebar is include make room for sidebar
	}
	else {
		$include_sidebar = 'col-sm-12'; //Make content full width if there is no sidebar
	}

	//If masonry is checked turn to masonry layout
	if (!empty($include_masonry)) {
		$include_masonry = 'masonry';
	}

	if ($masonry_style == 'entry-span6' && !empty($include_masonry)) {
		$posts_grid_sizer = 'posts-grid-sizer-span-6'; //Column size for the Masonry layout
		$masonry_column_count = 'entry-span6'; //2 column layout
	}
	elseif ($masonry_style == 'entry-span3' && !empty($include_masonry)) {
		$posts_grid_sizer = 'posts-grid-sizer-span-3'; //Column size for the Masonry layout
		$masonry_column_count = 'entry-span3'; //4 column layout
	}

	$post_content = get_theme_mod('kbv_post_content', 'summary' );

?>


<div class="container-wrapper entries-wrapper">
	<div class="<?php echo $full_width ?> row">
		<div class="<?php echo $include_sidebar; ?>">
			<div class="<?php echo $include_masonry; ?> entry-posts preload-hidden">
				<?php 
				if ($include_masonry == 'masonry') { 
					echo '<div class="'.$posts_grid_sizer.'"></div>'; //Column size for the Masonry layout
				} else {
					$masonry_style = '';
				}
				?>

				<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

					<?php 
					$format = get_post_format( $post->ID );
					if ($format == 'video') {
						get_template_part('inc/post-templates/entry-video' ); //Get video template
					}
					elseif ($format == 'audio') {
						get_template_part('inc/post-templates/entry-audio' ); //Get audio template
					}
					elseif ($format == 'gallery') {
						get_template_part('/inc/post-templates/entry-gallery' ); //Get gallery template
					}
					elseif ($format == 'quote') {
						get_template_part('inc/post-templates/entry-quote' ); //Get quote template
					}
					elseif ($format == 'image') {
						get_template_part('inc/post-templates/entry-image' ); //Get image template
					}
					else {
						get_template_part('inc/post-templates/entry-standard' ); //Get standard template
					}
					 ?>

				<?php endwhile; ?>

			</div> <!-- .entry-posts -->

			<?php  get_template_part('inc/nav.php' ); //Get page navigation ?> 

				<?php else : ?>

					<h2>No Blog Posts Found</h2> <!-- Will show when no blog posts are found -->

				<?php endif; ?>
		</div> <!-- Include sidebar -->
		<?php
		//If sidebar is set to be included, add it
		if ($include_sidebar == 'col-sm-9') { ?>
		<div class="col-sm-3">
			<?php get_sidebar(); ?>
		</div> <!-- .col-sm-3 -->	
		<?php } ?>
	</div> <!-- .row -->
</div> <!-- .entries-wrapper -->

<?php get_footer(); ?>