<?php 
/**
 * Header Under Construction
 *
 * @package Ilander
 * @version 1.1.3
**/
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
    <head>
        <?php
            // Set Variables
            $logo = get_theme_mod('kbv_logo_upload' ); 
            $site_title = get_bloginfo('name');
            $home_url = home_url();
            $favicon_include = get_theme_mod('kbv_favicon_upload' );
            ?>
        <meta charset="<?php bloginfo('charset'); ?>" />
        <?php if (is_search()) { ?>
        <meta name="robots" content="noindex, nofollow" />
        <?php } ?>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="<?php if ( is_single() ) {
        single_post_title('', true); 
        } else {
            bloginfo('name'); echo " - "; bloginfo('description');
        }
        ?>" />
        <title><?php wp_title(''); ?></title>
        <?php if ($favicon_include) { ?>
        <link rel="shortcut icon" href="<?php echo $favicon_include ?>">
        <?php } ?>
        <link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>">
        <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>">
        <!-- HTML5 shim for IE backwards compatibility -->
        <!--[if lt IE 9]>
        <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
        <![endif]-->
        <?php if ( is_singular() ) wp_enqueue_script('comment-reply'); ?>
        <?php wp_head(); ?>
        <?php 
            /* Functions that will get Google fonts chosen for each element.
            To use your own Google Font inlude this function below
            kbv_add_google_font('Source+Sans+Pro', 'a'); <---- Will set all anchor tags to Source Sans Pro*/
            kbv_add_google_font(get_theme_mod('kbv_body_font', 'Lato'), 'html, body');
            kbv_add_google_font(get_theme_mod('kbv_h1_font', 'Lato'), 'h1');  
            kbv_add_google_font(get_theme_mod('kbv_h2_font', 'Lato'), 'h2'); 
            kbv_add_google_font(get_theme_mod('kbv_h3_font', 'Lato'), 'h3'); 
            kbv_add_google_font(get_theme_mod('kbv_h4_font', 'Lato'), 'h4'); 
            kbv_add_google_font(get_theme_mod('kbv_h5_font', 'Lato'), 'h5'); 
            kbv_add_google_font(get_theme_mod('kbv_h6_font', 'Lato'), 'h6'); 
            kbv_add_google_font(get_theme_mod('kbv_nav_font', 'Lato'), '#main-nav-container, #mobile-nav-container'); 
            ?>
    </head>
    <?php
        // Set Variables
        $background_color = get_field('background_color');
        $background_image = get_field('background_image');
    ?>
    <body <?php body_class(); ?> style="background-color: <?php echo $background_color ?>; background-image: url('<?php echo $background_image ?>');">
        <header id="header-construction" class="container-wrapper transition">
            <div class="row">
                <div class="col-sm-12 icon-container social-media-wrapper">
                    <?php kbv_add_social_media(); ?>  
                </div>
                <!-- .social-media-wrapper -->
            </div>
        </header>
        <!-- #header -->
        <div id="wrapper" class="transition">