<?php 
/**
 * Header
 *
 * @package Ilander
 * @since   Ilander 1.1.3
**/
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
    <head>
        <?php
            // Set Variables
            $logo = get_theme_mod('kbv_logo_upload' ); 
            $site_title = get_bloginfo('name');
            $home_url = home_url();
            $favicon_include = get_theme_mod('kbv_favicon_upload' );
            ?>
        <meta charset="<?php bloginfo('charset'); ?>" />
        <?php if (is_search()) { ?>
        <meta name="robots" content="noindex, nofollow" />
        <?php } ?>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="<?php if ( is_single() ) {
        single_post_title('', true); 
        } else {
            bloginfo('name'); echo " - "; bloginfo('description');
        }
        ?>" />
        <title><?php wp_title('&raquo;', true, 'right'); ?></title>
        <?php if ($favicon_include) { ?>
        <link rel="shortcut icon" href="<?php echo $favicon_include ?>">
        <?php } ?>
        <link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>">
        <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>">
        <!-- HTML5 shim for IE backwards compatibility -->
        <!--[if lt IE 9]>
        <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
        <![endif]-->
        <?php if ( is_singular() ) wp_enqueue_script('comment-reply'); ?>
        <?php wp_head(); ?>
    </head>
    <body <?php body_class(); ?>>
        <header id="header" class="container-wrapper transition">
            <div class="container row">
                <div id="logo-wrapper" class="col-xs-8 col-sm-3">
                    <div id="logo">
                        <?php
                            if ($logo) {
                            echo '<a href="'.$home_url.'"><img src="'.$logo.'" alt="'.$site_title.'"></a>';
                            } else {
                            echo '<a href="'.$home_url.'">'.$site_title.'</a>';
                            }
                            ?>
                    </div>
                    <!-- #logo -->
                </div>
                <!-- #logo-wrapper -->
                <div class="col-sm-9 icon-container hidden-xs social-media-wrapper">
                    <?php kbv_add_social_media(); ?>  
                </div>
                <!-- .social-media-wrapper -->
                <div class="col-xs-4 hidden-sm hidden-md hidden-lg">
                    <div id="menu" role="navigation">
                        <div class="navbar navbar-default" role="navigation">
                            <div class="container-fluid">
                                <div id="mobile-nav-header">
                                    <button id="mobile-toggle" type="button" data-toggle="collapse" data-target=".mobile-collapse">
                                    <i class="fa fa-bars"></i>
                                    </button> <!-- .navbar-toggle -->
                                </div>
                                <!-- .navbar-header -->    
                            </div>
                            <!--/.container-fluid -->
                        </div>
                        <!-- .navbar -->
                    </div>
                    <!-- #menu -->
                </div>
                <!-- .col-xs-4 -->
            </div>
            <!-- .container .row-->
            <div class="container row">
                <div id="main-nav-container" class="col-sm-9 hidden-xs">
                    <nav id="main-menu">
                        <?php 
                            if(has_nav_menu('primary')) {
                            	wp_nav_menu( array( 'menu_class' => 'menu', 'theme_location' => 'primary' ) ); 
                            }
                            else {
                            	echo '<ul><li><a href="#">Please assign a menu.</a></li></ul>'; // Display this message if there is no main menu assigned
                            }
                            ?>
                    </nav>
                    <!-- .main-menu -->
                </div>
                <div id="mobile-nav-container" class="hidden-sm hidden-md hidden-lg col-xs-12">
                    <nav id="mobile-menu" class="mobile-collapse collapse">
                        <?php 
                            if(has_nav_menu('primary')) {
                            	wp_nav_menu( array( 'menu_class' => 'menu', 'theme_location' => 'primary' ) ); 
                            }
                            else {
                            	echo '<ul><li><a href="#">Please assign a menu.</a></li></ul>'; // Display this message if there is no main menu assigned
                            }
                            ?>
                    </nav>
                    <!-- .mobile-menu -->
                </div> 
                <!-- #mobile-nav-container -->
                <div class="col-sm-3 col-xs-12">
                    <?php get_search_form(); ?>
                </div>
                <!-- .col-sm-3 -->
            </div>
            <!-- .conatiner row -->
        </header>
        <!-- #header -->
        <div id="wrapper" class="transition">