<?php 
if(function_exists("register_field_group"))
{
	register_field_group(array (
		'id' => 'acf_portfolio-options',
		'title' => 'Portfolio Options',
		'fields' => array (
			array (
				'key' => 'field_5422d416b7046',
				'label' => 'Link To Custom Page',
				'name' => 'link_to_custom_page',
				'type' => 'true_false',
				'instructions' => 'Check this box if you want the portfolio thumbnail to link to custom page. If left unchecked, a page will be generated using the information you input below.',
				'message' => '',
				'default_value' => 0,
			),
			array (
				'key' => 'field_5422d462b7047',
				'label' => 'Page Select',
				'name' => 'page_select',
				'type' => 'post_object',
				'instructions' => 'Select a page from the dropdown to replace your default portfolio template.',
				'required' => 1,
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_5422d416b7046',
							'operator' => '==',
							'value' => '1',
						),
					),
					'allorany' => 'all',
				),
				'post_type' => array (
					0 => 'page',
				),
				'taxonomy' => array (
					0 => 'all',
				),
				'allow_null' => 0,
				'multiple' => 0,
			),
			array (
				'key' => 'field_53a345d8deffd',
				'label' => 'Note',
				'name' => '',
				'type' => 'message',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_5422d416b7046',
							'operator' => '!=',
							'value' => '1',
						),
					),
					'allorany' => 'all',
				),
				'message' => '<strong>Note 1:</strong> Please use "Format" to the right to select what kind of portfolio piece this is. Standard by default will use featured image.
	<strong>Note 2:</strong> Please use "Featured Image" to upload your portfolio preview image to display in thumbnail grid. If none is uploaded, portfolio item will <strong>not</strong> display. Please make sure your image is no smaller than 1000px by 1000px.',
			),
			array (
				'key' => 'field_53a32cb63beb6',
				'label' => 'Project Description',
				'name' => 'project_description',
				'type' => 'wysiwyg',
				'instructions' => 'Enter a detailed description for your project.',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_5422d416b7046',
							'operator' => '!=',
							'value' => '1',
						),
					),
					'allorany' => 'all',
				),
				'default_value' => '',
				'toolbar' => 'basic',
				'media_upload' => 'yes',
			),
			array (
				'key' => 'field_53ddb65962f52',
				'label' => 'Color',
				'name' => 'item_color',
				'type' => 'select',
				'instructions' => 'Select the rollover color that will highlight the portfolio item when hovered over. Colors can be altered by going to <strong>Appearance &rarr; Customize &rarr; Skin</strong>.',
				'choices' => array (
					'main-color' => 'Main Color',
					'accent-color-1' => 'Accent Color 1',
					'accent-color-2' => 'Accent Color 2',
					'accent-color-3' => 'Accent Color 3',
					'accent-color-4' => 'Accent Color 4',
				),
				'default_value' => '',
				'allow_null' => 0,
				'multiple' => 0,
			),
			array (
				'key' => 'field_53a45b2144f67',
				'label' => 'Masonry Size',
				'name' => 'masonry_size',
				'type' => 'select',
				'instructions' => 'Choose how image is displayed on Masonry grid layout.',
				'choices' => array (
					'wide' => 'Wide',
					'tall' => 'Tall',
					'square' => 'Square',
					'widetall' => 'Large Square',
				),
				'default_value' => 'wide',
				'allow_null' => 0,
				'multiple' => 0,
			),
			array (
				'key' => 'field_53a6fabc98a68',
				'label' => 'Client',
				'name' => 'client',
				'type' => 'text',
				'instructions' => 'Add name of client for portfolio item if one.',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_5422d416b7046',
							'operator' => '!=',
							'value' => '1',
						),
					),
					'allorany' => 'all',
				),
				'default_value' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'formatting' => 'none',
				'maxlength' => 20,
			),
			array (
				'key' => 'field_53a7547aea9fc',
				'label' => 'Creator',
				'name' => 'creator',
				'type' => 'text',
				'instructions' => 'Enter name of project author.',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_5422d416b7046',
							'operator' => '!=',
							'value' => '1',
						),
					),
					'allorany' => 'all',
				),
				'default_value' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'formatting' => 'none',
				'maxlength' => '',
			),
			array (
				'key' => 'field_53f294269a053',
				'label' => 'Creator Website Link',
				'name' => 'creator_website_link',
				'type' => 'text',
				'instructions' => 'Use this field to to link to the creator\'s website.',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_5422d416b7046',
							'operator' => '!=',
							'value' => '1',
						),
					),
					'allorany' => 'all',
				),
				'default_value' => '',
				'placeholder' => 'http://www.envato.com/',
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => '',
			),
			array (
				'key' => 'field_53f295759a054',
				'label' => 'Full Project Link',
				'name' => 'full_project_link',
				'type' => 'text',
				'instructions' => 'Enter url to full project if on exists.',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_5422d416b7046',
							'operator' => '!=',
							'value' => '1',
						),
					),
					'allorany' => 'all',
				),
				'default_value' => '',
				'placeholder' => 'http://www.envato.com/',
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => '',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'portfolio',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'normal',
			'layout' => 'default',
			'hide_on_screen' => array (
			),
		),
		'menu_order' => 0,
	));
	register_field_group(array (
		'id' => 'acf_testimonial-options',
		'title' => 'Testimonial Options',
		'fields' => array (
			array (
				'key' => 'field_53d04589be3ab',
				'label' => 'Author Name',
				'name' => 'author_name',
				'type' => 'text',
				'instructions' => 'Enter testimonial author\'s name.',
				'default_value' => '',
				'placeholder' => 'John Doe',
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => 30,
			),
			array (
				'key' => 'field_53d046c2be3ac',
				'label' => 'Author Title',
				'name' => 'author_title',
				'type' => 'text',
				'instructions' => 'Enter author\'s title.',
				'default_value' => '',
				'placeholder' => 'Senior Web Developer (Enterprise and eBusiness) at Envato',
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => '',
			),
			array (
				'key' => 'field_53d0450df6e50',
				'label' => 'Author Picture',
				'name' => 'author_picture_id',
				'type' => 'image',
				'instructions' => 'Add testimonial author photo if available.',
				'save_format' => 'id',
				'preview_size' => 'medium',
				'library' => 'all',
			),
			array (
				'key' => 'field_53d047abbe3ad',
				'label' => 'Content',
				'name' => 'testimonial_content',
				'type' => 'textarea',
				'default_value' => '',
				'placeholder' => '',
				'maxlength' => '',
				'rows' => 2,
				'formatting' => 'br',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'testimonial',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'normal',
			'layout' => 'default',
			'hide_on_screen' => array (
				0 => 'featured_image',
				1 => 'categories',
			),
		),
		'menu_order' => 0,
	));
	register_field_group(array (
		'id' => 'acf_audio-options',
		'title' => 'Audio Options',
		'fields' => array (
			array (
				'key' => 'field_53eebad2b0f89',
				'label' => 'Mp3',
				'name' => 'entry_mp3',
				'type' => 'file',
				'instructions' => 'Please add Mp3 audio file.',
				'required' => 1,
				'save_format' => 'url',
				'library' => 'all',
			),
			array (
				'key' => 'field_53eebb9d5af05',
				'label' => 'Ogg',
				'name' => 'entry_ogg',
				'type' => 'file',
				'instructions' => 'Please add Ogg audio file.',
				'save_format' => 'url',
				'library' => 'all',
			),
			array (
				'key' => 'field_53eebbdbc8e3a',
				'label' => 'Wav',
				'name' => 'entry_wav',
				'type' => 'file',
				'instructions' => 'Please add Wav audio file.',
				'save_format' => 'url',
				'library' => 'all',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'post_format',
					'operator' => '==',
					'value' => 'audio',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'normal',
			'layout' => 'default',
			'hide_on_screen' => array (
			),
		),
		'menu_order' => 5,
	));
	register_field_group(array (
		'id' => 'acf_gallery-options',
		'title' => 'Gallery Options',
		'fields' => array (
			array (
				'key' => 'field_5431ba8d517ec',
				'label' => 'Image Gallery',
				'name' => 'image_gallery',
				'type' => 'gallery',
				'instructions' => 'Add some images to your image gallery below.',
				'required' => 1,
				'preview_size' => 'thumbnail',
				'library' => 'all',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'post_format',
					'operator' => '==',
					'value' => 'gallery',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'normal',
			'layout' => 'default',
			'hide_on_screen' => array (
			),
		),
		'menu_order' => 5,
	));
	register_field_group(array (
		'id' => 'acf_image-options',
		'title' => 'Image Options',
		'fields' => array (
			array (
				'key' => 'field_53eedd743d28d',
				'label' => 'Include Image Reveal',
				'name' => 'entry_include_image_reveal',
				'type' => 'checkbox',
				'choices' => array (
					'yes' => 'Yes, Please',
				),
				'default_value' => '',
				'layout' => 'vertical',
			),
			array (
				'key' => 'field_53eeddc23d28e',
				'label' => 'Image',
				'name' => 'entry_image',
				'type' => 'image',
				'required' => 1,
				'save_format' => 'id',
				'preview_size' => 'thumbnail',
				'library' => 'all',
			),
			array (
				'key' => 'field_53eeddf43d28f',
				'label' => 'Image 2',
				'name' => 'entry_image_2',
				'type' => 'image',
				'required' => 1,
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_53eedd743d28d',
							'operator' => '==',
							'value' => 'yes',
						),
					),
					'allorany' => 'all',
				),
				'save_format' => 'id',
				'preview_size' => 'thumbnail',
				'library' => 'all',
			),
			array (
				'key' => 'field_53f0d25ee47ed',
				'label' => 'Reveal X Position',
				'name' => 'entry_reveal_x_position',
				'type' => 'number',
				'instructions' => 'Set the x position of where the divider will set on the image reveal by default.',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_53eedd743d28d',
							'operator' => '==',
							'value' => 'yes',
						),
					),
					'allorany' => 'all',
				),
				'default_value' => '',
				'placeholder' => 20,
				'prepend' => '',
				'append' => '',
				'min' => '',
				'max' => '',
				'step' => '',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'post_format',
					'operator' => '==',
					'value' => 'image',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'normal',
			'layout' => 'default',
			'hide_on_screen' => array (
			),
		),
		'menu_order' => 5,
	));
	register_field_group(array (
		'id' => 'acf_quote-options',
		'title' => 'Quote Options',
		'fields' => array (
			array (
				'key' => 'field_53eecc8d5b5ff',
				'label' => 'Quote',
				'name' => 'entry_quote',
				'type' => 'textarea',
				'instructions' => 'Please add your quote here.',
				'default_value' => '',
				'placeholder' => '',
				'maxlength' => '',
				'rows' => '',
				'formatting' => 'html',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'post_format',
					'operator' => '==',
					'value' => 'quote',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'normal',
			'layout' => 'default',
			'hide_on_screen' => array (
			),
		),
		'menu_order' => 5,
	));
	register_field_group(array (
		'id' => 'acf_video-options',
		'title' => 'Video Options',
		'fields' => array (
			array (
				'key' => 'field_53eeb97d0f1c3',
				'label' => 'Poster',
				'name' => 'entry_poster',
				'type' => 'image',
				'save_format' => 'url',
				'preview_size' => 'large',
				'library' => 'all',
			),
			array (
				'key' => 'field_53eeb7d44dc32',
				'label' => 'Mp4',
				'name' => 'entry_mp4',
				'type' => 'text',
				'instructions' => 'Please enter MP4 URL for header video.',
				'default_value' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => '',
			),
			array (
				'key' => 'field_53eeb92fcc480',
				'label' => 'Mov',
				'name' => 'entry_mov',
				'type' => 'text',
				'instructions' => 'Please enter Mov URL for header video.',
				'default_value' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => '',
			),
			array (
				'key' => 'field_53eeb942cc481',
				'label' => 'Ogv',
				'name' => 'entry_ogv',
				'type' => 'text',
				'instructions' => 'Please enter Ogv URL for header video.',
				'default_value' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => '',
			),
			array (
				'key' => 'field_53eebb5061c8a',
				'label' => 'Embed Video',
				'name' => 'entry_embed_video',
				'type' => 'textarea',
				'instructions' => 'If using video from Vimeo or Youtube post embed code here.',
				'default_value' => '',
				'placeholder' => '',
				'maxlength' => '',
				'rows' => '',
				'formatting' => 'html',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'post_format',
					'operator' => '==',
					'value' => 'video',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'normal',
			'layout' => 'default',
			'hide_on_screen' => array (
			),
		),
		'menu_order' => 5,
	));
	register_field_group(array (
		'id' => 'acf_banner-options',
		'title' => 'Banner Options',
		'fields' => array (
			array (
				'key' => 'field_548ce763700a2',
				'label' => 'Header Type',
				'name' => 'header_type',
				'type' => 'select',
				'required' => 1,
				'choices' => array (
					'none' => 'None',
					'image' => 'Image',
					'video' => 'Video',
					'content' => 'Content',
				),
				'default_value' => '',
				'allow_null' => 0,
				'multiple' => 0,
			),
			array (
				'key' => 'field_54b42cdcf5fa6',
				'label' => 'Note',
				'name' => '',
				'type' => 'message',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_548ce763700a2',
							'operator' => '==',
							'value' => 'video',
						),
					),
					'allorany' => 'all',
				),
				'message' => 'Please make sure video has an aspect ratio of 16:9 for best results.',
			),
			array (
				'key' => 'field_548cee655921e',
				'label' => 'Parallax Background',
				'name' => 'parallax_background',
				'type' => 'true_false',
				'instructions' => 'Check this box to create a parallaxing background image.',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_548ce763700a2',
							'operator' => '==',
							'value' => 'image',
						),
					),
					'allorany' => 'all',
				),
				'message' => '',
				'default_value' => 0,
			),
			array (
				'key' => 'field_548ced6cae738',
				'label' => 'Image Background',
				'name' => 'image_background',
				'type' => 'image',
				'required' => 1,
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_548ce763700a2',
							'operator' => '==',
							'value' => 'image',
						),
					),
					'allorany' => 'all',
				),
				'save_format' => 'url',
				'preview_size' => 'medium',
				'library' => 'all',
			),
			array (
				'key' => 'field_54b369a2fb1b6',
				'label' => 'Video Type',
				'name' => 'video_type',
				'type' => 'select',
				'instructions' => 'Play your video through an HTML5 player, or play from YouTube or Vimeo.',
				'required' => 1,
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_548ce763700a2',
							'operator' => '==',
							'value' => 'video',
						),
					),
					'allorany' => 'all',
				),
				'choices' => array (
					'html5' => 'HTML5',
					'youtube' => 'YouTube',
					'vimeo' => 'Vimeo',
				),
				'default_value' => 'html5',
				'allow_null' => 0,
				'multiple' => 0,
			),
			array (
				'key' => 'field_54b36ce4315cf',
				'label' => 'Vimeo ID',
				'name' => 'vimeo_id',
				'type' => 'text',
				'instructions' => 'Add Vimeo video ID from URL string. For example, https://vimeo.com/<span class="kbv-highlight">24188062</span>.',
				'required' => 1,
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_548ce763700a2',
							'operator' => '==',
							'value' => 'video',
						),
						array (
							'field' => 'field_54b369a2fb1b6',
							'operator' => '==',
							'value' => 'vimeo',
						),
					),
					'allorany' => 'all',
				),
				'default_value' => '',
				'placeholder' => 24188062,
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => 30,
			),
			array (
				'key' => 'field_54b426026f8c0',
				'label' => 'YouTube ID',
				'name' => 'youtube_id',
				'type' => 'text',
				'instructions' => 'Add YouTube video ID from URL string. For example, https://www.youtube.com/watch?v=<span class="kbv-highlight">_OBlgSz8sSM</span>.',
				'required' => 1,
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_548ce763700a2',
							'operator' => '==',
							'value' => 'video',
						),
						array (
							'field' => 'field_54b369a2fb1b6',
							'operator' => '==',
							'value' => 'youtube',
						),
					),
					'allorany' => 'all',
				),
				'default_value' => '',
				'placeholder' => '_OBlgSz8sSM',
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => 30,
			),
			array (
				'key' => 'field_53e6a9f76ba02',
				'label' => 'Poster Image',
				'name' => 'poster_image',
				'type' => 'image',
				'instructions' => 'The poster attribute specifies an image to be shown while the video is downloading. If this is not included, the first frame of the video will be used instead.',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_548ce763700a2',
							'operator' => '==',
							'value' => 'video',
						),
						array (
							'field' => 'field_54b369a2fb1b6',
							'operator' => '==',
							'value' => 'html5',
						),
					),
					'allorany' => 'all',
				),
				'save_format' => 'url',
				'preview_size' => 'large',
				'library' => 'all',
			),
			array (
				'key' => 'field_548cea114deb1',
				'label' => 'MP4 Video',
				'name' => 'mp4_video',
				'type' => 'text',
				'instructions' => 'Please enter MP4 URL for header video.',
				'required' => 1,
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_548ce763700a2',
							'operator' => '==',
							'value' => 'video',
						),
						array (
							'field' => 'field_54b369a2fb1b6',
							'operator' => '==',
							'value' => 'html5',
						),
					),
					'allorany' => 'all',
				),
				'default_value' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'formatting' => 'none',
				'maxlength' => '',
			),
			array (
				'key' => 'field_548ceac447955',
				'label' => 'WebM Video',
				'name' => 'webm_video',
				'type' => 'text',
				'instructions' => 'Please enter WebM URL for header video.',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_548ce763700a2',
							'operator' => '==',
							'value' => 'video',
						),
						array (
							'field' => 'field_54b369a2fb1b6',
							'operator' => '==',
							'value' => 'html5',
						),
					),
					'allorany' => 'all',
				),
				'default_value' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'formatting' => 'none',
				'maxlength' => '',
			),
			array (
				'key' => 'field_548ceac647956',
				'label' => 'Ogg Video',
				'name' => 'ogg_video',
				'type' => 'text',
				'instructions' => 'Please enter Ogg URL for header video.',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_548ce763700a2',
							'operator' => '==',
							'value' => 'video',
						),
						array (
							'field' => 'field_54b369a2fb1b6',
							'operator' => '==',
							'value' => 'html5',
						),
					),
					'allorany' => 'all',
				),
				'default_value' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'formatting' => 'none',
				'maxlength' => '',
			),
			array (
				'key' => 'field_5495da7503d44',
				'label' => 'Background Color',
				'name' => 'header_background_color',
				'type' => 'color_picker',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_548ce763700a2',
							'operator' => '!=',
							'value' => 'none',
						),
					),
					'allorany' => 'all',
				),
				'default_value' => '',
			),
			array (
				'key' => 'field_548cebcb5a3db',
				'label' => 'Banner Height',
				'name' => 'banner_height',
				'type' => 'number',
				'instructions' => 'Please enter banner height.',
				'required' => 1,
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_548ce763700a2',
							'operator' => '==',
							'value' => 'image',
						),
						array (
							'field' => 'field_548ce763700a2',
							'operator' => '==',
							'value' => 'video',
						),
					),
					'allorany' => 'any',
				),
				'default_value' => 200,
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'min' => '',
				'max' => '',
				'step' => '',
			),
			array (
				'key' => 'field_548cef4dc9523',
				'label' => 'Banner Content',
				'name' => 'banner_content',
				'type' => 'wysiwyg',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_548ce763700a2',
							'operator' => '==',
							'value' => 'image',
						),
						array (
							'field' => 'field_548ce763700a2',
							'operator' => '==',
							'value' => 'content',
						),
						array (
							'field' => 'field_548ce763700a2',
							'operator' => '==',
							'value' => 'video',
						),
					),
					'allorany' => 'any',
				),
				'default_value' => '',
				'toolbar' => 'full',
				'media_upload' => 'yes',
			),
			array (
				'key' => 'field_54a10a244ccd2',
				'label' => 'Banner Content Position',
				'name' => 'banner_content_position',
				'type' => 'select',
				'instructions' => 'Choose how to vertically align your banner content',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_548ce763700a2',
							'operator' => '==',
							'value' => 'image',
						),
						array (
							'field' => 'field_548ce763700a2',
							'operator' => '==',
							'value' => 'video',
						),
					),
					'allorany' => 'any',
				),
				'choices' => array (
					'align-top' => 'Top',
					'align-middle' => 'Middle',
					'align-bottom' => 'Bottom',
				),
				'default_value' => 'align-middle',
				'allow_null' => 0,
				'multiple' => 0,
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'page_template',
					'operator' => '==',
					'value' => 'default',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
			array (
				array (
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'portfolio',
					'order_no' => 0,
					'group_no' => 1,
				),
			),
			array (
				array (
					'param' => 'page_template',
					'operator' => '==',
					'value' => 'template-normal.php',
					'order_no' => 0,
					'group_no' => 2,
				),
			),
		),
		'options' => array (
			'position' => 'normal',
			'layout' => 'default',
			'hide_on_screen' => array (
			),
		),
		'menu_order' => 10,
	));
	register_field_group(array (
		'id' => 'acf_under-construction-options',
		'title' => 'Under Construction Options',
		'fields' => array (
			array (
				'key' => 'field_548671de0e287',
				'label' => 'Background Color',
				'name' => 'background_color',
				'type' => 'color_picker',
				'instructions' => 'Choose color for your under construction page.',
				'default_value' => '',
			),
			array (
				'key' => 'field_548672290e288',
				'label' => 'Background Image',
				'name' => 'background_image',
				'type' => 'image',
				'instructions' => 'Choose background image for your under construction page. Background image will be sized to accommodate the browser window size.	',
				'save_format' => 'url',
				'preview_size' => 'medium',
				'library' => 'all',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'page_template',
					'operator' => '==',
					'value' => 'template-construction.php',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'normal',
			'layout' => 'default',
			'hide_on_screen' => array (
			),
		),
		'menu_order' => 10,
	));
}

?>