<?php

//Row
vc_map( array(
    'name' => __( 'Row', 'js_composer' ),
    'base' => 'vc_row',
    'is_container' => true,
    'icon' => 'icon-wpb-row',
    'show_settings_on_create' => false,
    'category' => __( 'Content', 'js_composer' ),
    'description' => __( 'Place content elements inside the row', 'js_composer' ),
    'params' => array(
     array(
      "type" => "textfield",
      "heading" => __("Extra class name", "js_composer"),
      "param_name" => "el_class",
      "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "js_composer")
    ),
     array(
        "type" => 'checkbox',
        "heading" => __("Full Width Section", "js_composer"),
        "param_name" => "kbv_full_width",
        "value" => Array(__("Yes, please", "js_composer") => 'yes'),
        "description" => __("Makes this row expand full browser width.", "js_composer")
    ),
     array(
      "type" => "textfield",
      "heading" => __("Side Padding", "js_composer"),
      "param_name" => "kbv_side_padding",
      "value" => "40",
      "admin_label" => true,
      "description" => __("Clears an area around the right and left border of the Row. Ex. set Side Padding to a value of 0 if you want the columns to touch the Row border. Side Padding is measured in pixels. No need to append 'px' after value.", "js_composer")
    ),
     array(
      "type" => "textfield",
      "heading" => __("Top Padding", "js_composer"),
      "param_name" => "kbv_top_padding",
      "value" => "0",
      "admin_label" => true,
      "description" => __("Clears an area around the top border of the Row. Do not include \"px\" in your value.", "js_composer")
    ),
     array(
      "type" => "textfield",
      "heading" => __("Bottom Padding", "js_composer"),
      "param_name" => "kbv_bottom_padding",
      "value" => "0",
      "admin_label" => true,
      "description" => __("Clears an area around the bottom border of the Row. Do not include \"px\" in your value.", "js_composer")
    ),
     array(
         "type" => "colorpicker",
         "heading" => __("Background Color", "js_composer"),
         "param_name" => "kbv_bg_color",
         "value" => '', 
         'group' => __( 'Design settings', 'js_composer' ),
         "description" => __("Choose background color.", "js_composer")
      ),
      array(
         "type" => "attach_image",
          "heading" => __("Background Image", "js_composer"),
          "param_name" => "kbv_bg_image_id",
          "value" => "",
          'group' => __( 'Design settings', 'js_composer' ),
          "description" => __("Select background image from media library.", "js_composer")
      ),
      array(
         "type" => "dropdown",
         "heading" => __("Background Position", "js_composer"),
         "param_name" => "kbv_bg_pos",
         'group' => __( 'Design settings', 'js_composer' ),
         "admin_label" => true,
         "description" => __("Sets the starting position of a background image.", "js_composer"),
         "value" => array("Left Top"=>"left top","Left Center"=>"left center","Left Bottom"=>"left bottom","Center Top"=>"center top","Center Center"=>"center center","Center Bottom"=>"center bottom","Right Top"=>"right top","Right Center"=>"right center","Right Bottom"=>"right bottom")
      ),
      array(
         "type" => "dropdown",
         "heading" => __("Background Repeat", "js_composer"),
         "param_name" => "kbv_bg_repeat",
         "admin_label" => true,
         'group' => __( 'Design settings', 'js_composer' ),
         "description" => __("Sets if/how the background image will be repeated. By default the background image will be tiled.", "js_composer"),
         "value" => array("Repeat"=>"repeat","Repeat X"=>"repeat-x","Repeat Y"=>"repeat-y","No Repeat"=>"no-repeat" )
      ),
      array(
        "type" => 'checkbox',
        "heading" => __("Cover Background", "js_composer"),
        "param_name" => "kbv_cover_bg",
        'group' => __( 'Design settings', 'js_composer' ),
        "value" => Array(__("Yes, please", "js_composer") => 'yes'),
        "description" => __("If checked, background image will always expand the width of the row container.", "js_composer")
      ),
      array(
        "type" => 'checkbox',
        "heading" => __("Equal Height Columns", "js_composer"),
        "param_name" => "equal_height_col",
        "value" => Array(__("Yes, please", "js_composer") => 'yes'),
        "description" => __("If checked, makes the height of all columns inside row exactly equal. Shortest column will take on the height of the tallest within this row. Works best when columns don't contain any sliders or anything that changes height dynamically.", "js_composer")
      ),
       array(
        "type" => 'checkbox',
        "heading" => __("Parallax Background", "js_composer"),
        "param_name" => "kbv_parallax_bg",
        'group' => __( 'Design settings', 'js_composer' ),
        "value" => Array(__("Yes, please", "js_composer") => 'yes'),
        "description" => __("Check to add a parallax scrolling effect to row.", "js_composer")
      ),
    ),
    'js_view' => 'VcRowView'
  ) );

  //Inner Row
  vc_map( array(
    'name' => __( 'Row', 'js_composer' ), //Inner Row
    'base' => 'vc_row_inner',
    'content_element' => false,
    'is_container' => true,
    'icon' => 'icon-wpb-row',
    'weight' => 1000,
    'show_settings_on_create' => false,
    'params' => array(
      array(
      "type" => "textfield",
      "heading" => __("Extra class name", "js_composer"),
      "param_name" => "el_class",
      "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "js_composer")
    ),
     array(
      "type" => "textfield",
      "heading" => __("Side Padding", "js_composer"),
      "param_name" => "kbv_side_padding",
      "value" => "0",
      "admin_label" => true,
      "description" => __("Clears an area around the right and left border of the Row. Ex. set Side Padding to a value of 0 if you want the columns to touch the Row border. Side Padding is measured in pixels. No need to append 'px' after value.", "js_composer")
    ),
     array(
      "type" => "textfield",
      "heading" => __("Top Padding", "js_composer"),
      "param_name" => "kbv_top_padding",
      "value" => "0",
      "admin_label" => true,
      "description" => __("Clears an area around the top border of the Row. Do not include \"px\" in your value.", "js_composer")
    ),
     array(
      "type" => "textfield",
      "heading" => __("Bottom Padding", "js_composer"),
      "param_name" => "kbv_bottom_padding",
      "value" => "0",
      "admin_label" => true,
      "description" => __("Clears an area around the bottom border of the Row. Do not include \"px\" in your value.", "js_composer")
    ),
     array(
         "type" => "colorpicker",
         "heading" => __("Background Color", "js_composer"),
         "param_name" => "kbv_bg_color",
         "value" => '',
         'group' => __( 'Design settings', 'js_composer' ),
         "description" => __("Choose background color.", "js_composer")
      ),
      array(
         "type" => "attach_image",
          "heading" => __("Background Image", "js_composer"),
          "param_name" => "kbv_bg_image_id",
          "value" => "",
          'group' => __( 'Design settings', 'js_composer' ),
          "description" => __("Select background image from media library.", "js_composer")
      ),
      array(
         "type" => "dropdown",
         "heading" => __("Background Position", "js_composer"),
         "param_name" => "kbv_bg_pos",
         "admin_label" => true,
         "value" => array("Left Top"=>"left top","Left Center"=>"left center","Left Bottom"=>"left bottom","Center Top"=>"center top","Center Center"=>"center center","Center Bottom"=>"center bottom","Right Top"=>"right top","Right Center"=>"right center","Right Bottom"=>"right bottom"),
         'group' => __( 'Design settings', 'js_composer' ),
         "description" => __("Sets the starting position of a background image.", "js_composer"),
      ),
      array(
         "type" => "dropdown",
         "heading" => __("Background Repeat", "js_composer"),
         "param_name" => "kbv_bg_repeat",
         "admin_label" => true,
         "description" => __("Sets if/how the background image will be repeated. By default the background image will be tiled.", "js_composer"),
         'group' => __( 'Design settings', 'js_composer' ),
         "value" => array("Repeat"=>"repeat","Repeat X"=>"repeat-x","Repeat Y"=>"repeat-y","No Repeat"=>"no-repeat" )
      ),
       array(
        "type" => 'checkbox',
        "heading" => __("Parallax Background", "js_composer"),
        "param_name" => "kbv_parallax_bg",
        "description" => __("Check to add a parallax scrolling effect to row.", "js_composer"),
        'group' => __( 'Design settings', 'js_composer' ),
        "value" => Array(__("Yes, please", "js_composer") => 'yes')
      ),
    ),
    'js_view' => 'VcRowView'
  ) );

  //Column
  vc_map( array(
    'name' => __( 'Column', 'js_composer' ),
    'base' => 'vc_column',
    'is_container' => true,
    'content_element' => false,
    'params' => array(
      array(
        'type' => 'textfield',
        'heading' => __( 'Extra class name', 'js_composer' ),
        'param_name' => 'el_class',
        'description' => __( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'js_composer' )
      ),
       array(
         "type" => "dropdown",
         "heading" => __("Animation In", "js_composer"),
         "param_name" => "kbv_animation",
         "value" => array("None"=>"","Fade In"=>"enter from the top move 0px","Enter from the top"=>"enter from the top","Enter from the right"=>"enter from the right","Enter from the bottom"=>"enter from the bottom","Enter from the left"=>"enter from the left"),
         'std' => "None",
         "description" => __("Choose animation when columns appears on screen.", "js_composer")
      ),
        array(
        "type" => 'checkbox',
        "heading" => __("Light Text", "js_composer"),
        "param_name" => "kbv_light_txt",
        "value" => Array(__("Yes, please", "js_composer") => 'light-txt'),
        "description" => __("Works well when text is on a dark or colored background. 'Light Text' is customizable under Appearance &rarr; Customize &rarr; Light Text.", "js_composer")
      ),
       array(
        "type" => "textfield",
        "heading" => __("Side Padding", "js_composer"),
        "param_name" => "kbv_side_padding",
        "value" => "10",
        "admin_label" => true,
        "description" => __("Clears an area around the right and left border of the Column. Side Padding is measured in pixels. No need to append 'px' after value.", "js_composer")
      ),
     array(
         "type" => "colorpicker",
         "heading" => __("Background Color", "js_composer"),
         "param_name" => "kbv_bg_color",
         "value" => '', 
         "admin_label" => true,
         'group' => __( 'Design settings', 'js_composer' ),
         "description" => __("Choose background color.", "js_composer")
      ),
      array(
         "type" => "attach_image",
          "heading" => __("Background Image", "js_composer"),
          "param_name" => "kbv_attachment_id",
          "value" => "",
          'group' => __( 'Design settings', 'js_composer' ),
          "description" => __("Select background image from media library.", "js_composer")
      ),
      array(
         "type" => "dropdown",
         "heading" => __("Background Position", "js_composer"),
         "param_name" => "kbv_bg_pos",
         "value" => array("Left Top"=>"left top","Left Center"=>"left center","Left Bottom"=>"left bottom","Center Top"=>"center top","Center Center"=>"center center","Center Bottom"=>"center bottom","Right Top"=>"right top","Right Center"=>"right center","Right Bottom"=>"right bottom"),
         'group' => __( 'Design settings', 'js_composer' ),
         "description" => __("Sets the starting position of a background image.", "js_composer"),
      ),
      array(
        "type" => 'checkbox',
        "heading" => __("Cover Background", "js_composer"),
        "param_name" => "kbv_cover_bg",
        "value" => Array(__("Yes, please", "js_composer") => 'yes'),
        'group' => __( 'Design settings', 'js_composer' ),
        "description" => __("If checked, background image will always expand the width of the row container.", "js_composer")
      ),
      array(
         "type" => "dropdown",
         "heading" => __("Background Repeat", "js_composer"),
         "param_name" => "kbv_bg_repeat",
         "admin_label" => true,
         "value" => array("Repeat"=>"repeat","Repeat X"=>"repeat-x","Repeat Y"=>"repeat-y","No Repeat"=>"no-repeat" ),
         'group' => __( 'Design settings', 'js_composer' ),
         "description" => __("Sets if/how the background image will be repeated. By default the background image will be tiled.", "js_composer"),
      ),
       array(
        "type" => 'checkbox',
        "heading" => __("Parallax Background", "js_composer"),
        "param_name" => "kbv_parallax_bg",
        "value" => Array(__("Yes, please", "js_composer") => 'yes'),
        'group' => __( 'Design settings', 'js_composer' ),
        "description" => __("Check to add a parallax scrolling effect to row.", "js_composer")
      ),
    ),
    'js_view' => 'VcColumnView'
  ) );

//Inner column
vc_map( array(
  "name" => __( "Column", "js_composer" ),
  "base" => "vc_column_inner",
  "class" => "",
  "icon" => "",
  "wrapper_class" => "",
  "controls" => "full",
  "allowed_container_element" => false,
  "content_element" => false,
  "is_container" => true,
  "params" => array(
    array(
        'type' => 'textfield',
        'heading' => __( 'Extra class name', 'js_composer' ),
        'param_name' => 'el_class',
        'description' => __( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'js_composer' )
      ),
       array(
         "type" => "dropdown",
         "heading" => __("Animation In", "js_composer"),
         "param_name" => "kbv_animation",
         "value" => array("None"=>"","Fade In"=>"enter from the top move 0px","Enter from the top"=>"enter from the top","Enter from the right"=>"enter from the right","Enter from the bottom"=>"enter from the bottom","Enter from the left"=>"enter from the left"),
         'std' => "None",
         "description" => __("Choose animation when columns appears on screen.", "js_composer")
      ),
        array(
        "type" => 'checkbox',
        "heading" => __("Light Text", "js_composer"),
        "param_name" => "kbv_light_txt",
        "value" => Array(__("Yes, please", "js_composer") => 'light-txt'),
        "description" => __("Works well when text is on a dark or colored background. 'Light Text' is customizable under Appearance &rarr; Customize &rarr; Light Text.", "js_composer")
      ),
       array(
        "type" => "textfield",
        "heading" => __("Side Padding", "js_composer"),
        "param_name" => "kbv_side_padding",
        "value" => "10",
        "admin_label" => true,
        "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "js_composer")
      ),
     array(
         "type" => "colorpicker",
         "heading" => __("Background Color", "js_composer"),
         "param_name" => "kbv_bg_color",
         "value" => '', //Default Red color
         "admin_label" => true,
         'group' => __( 'Design settings', 'js_composer' ),
         "description" => __("Choose background color.", "js_composer")
      ),
      array(
         "type" => "attach_image",
          "heading" => __("Background Image", "js_composer"),
          "param_name" => "kbv_attachment_id",
          "value" => "",
          'group' => __( 'Design settings', 'js_composer' ),
          "description" => __("Select image from media library.", "js_composer")
      ),
      array(
         "type" => "dropdown",
         "heading" => __("Background Position", "js_composer"),
         "param_name" => "kbv_bg_pos",
         "value" => array("Left Top"=>"left top","Left Center"=>"left center","Left Bottom"=>"left bottom","Center Top"=>"center top","Center Center"=>"center center","Center Bottom"=>"center bottom","Right Top"=>"right top","Right Center"=>"right center","Right Bottom"=>"right bottom"),
         'group' => __( 'Design settings', 'js_composer' ),
         "description" => __("Sets if/how the background image will be repeated. By default the background image will be tiled.", "js_composer"),
      ),
      array(
        "type" => 'checkbox',
        "heading" => __("Cover Background", "js_composer"),
        "param_name" => "kbv_cover_bg",
        "value" => Array(__("Yes, please", "js_composer") => 'yes'),
        'group' => __( 'Design settings', 'js_composer' ),
        "description" => __("If checked, background image will always expand the width of the row container.", "js_composer")
      ),
      array(
         "type" => "dropdown",
         "heading" => __("Background Repeat", "js_composer"),
         "param_name" => "kbv_bg_repeat",
         "admin_label" => true,
         "value" => array("Repeat"=>"repeat","Repeat X"=>"repeat-x","Repeat Y"=>"repeat-y","No Repeat"=>"no-repeat" ),
         'group' => __( 'Design settings', 'js_composer' ),
         "description" => __("Sets if/how the background image will be repeated. By default the background image will be tiled.", "js_composer"),
      ),
       array(
        "type" => 'checkbox',
        "heading" => __("Parallax Background", "js_composer"),
        "param_name" => "kbv_parallax_bg",
        "value" => Array(__("Yes, please", "js_composer") => 'yes'),
        'group' => __( 'Design settings', 'js_composer' ),
        "description" => __("Check to add a parallax scrolling effect to row.", "js_composer")
      ),
    ),
    'js_view' => 'VcColumnView'
) );

//Text Block
vc_map( array(
  'name' => __( 'Text Block', 'js_composer' ),
  'base' => 'vc_column_text',
  'icon' => 'icon-wpb-layer-shape-text',
  'wrapper_class' => 'clearfix',
  'category' => __( 'Content', 'js_composer' ),
  'description' => __( 'A block of text with WYSIWYG editor', 'js_composer' ),
  'params' => array(
    array(
      'type' => 'textarea_html',
      'holder' => 'div',
      'heading' => __( 'Text', 'js_composer' ),
      'param_name' => 'content',
      'value' => __( '<p>I am text block. Click edit button to change this text. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo.</p>', 'js_composer' )
    )
  )
) );

  /* Below here are custom additions to Visual Composers standard options */

  //Button
	vc_map( array(
   "name" => __("KBV Button", "js_composer"),
   "base" => "kbv_button",
   "class" => "",
   "icon" => "icon-kbv-button",
   "category" => __('Content', "js_composer"),
   'description' => __( 'Add theme style button', 'js_composer' ),
   'admin_enqueue_js' => array(get_template_directory_uri().'/vc_extend/bartag.js'),
   'admin_enqueue_css' => array(get_template_directory_uri().'/vc_extend/bartag.css'),
   "params" => array(
       array(
         "type" => "textfield",
         "admin_label" => true,
         "heading" => __("Text", "js_composer"),
         "param_name" => "content",
         "value" => __("Button Text", "js_composer"),
         "description" => __("Enter button text.", "js_composer")
      ),
      array(
         "type" => "textfield",
         "admin_label" => true,
         "heading" => __("URL", "js_composer"),
         "param_name" => "url",
         "value" => __("http://wordpress.com", "js_composer"),
         "description" => __("Enter button URL.", "js_composer")
      ),
      array(
         "type" => "textfield",
         "admin_label" => true,
         "heading" => __("Button Size", "js_composer"),
         "param_name" => "size",
         "value" => __("14", "js_composer"),
         "description" => __("Enter button size. Do not include \"px\" in your value.", "js_composer")
      ),
      array(
        'type' => 'checkbox',
        'heading' => __( 'Open link in new tab', 'js_composer' ),
        'param_name' => 'target',
        'description' => __( '', 'js_composer' ),
        'value' => array( __( 'Yes, please', 'js_composer' ) => '_blank' )
      ),
   	  array(
         "type" => "dropdown",
         "heading" => __("Button Style", "js_composer"),
         "param_name" => "style",
         "value" => array("Solid Button"=>"button-style-one","Transparent With Border"=>"button-style-two"),
         'group' => __( 'Button Design', 'js_composer' ),
         "description" => __("Select how button will display.", "js_composer")
      ),
      array(
         "type" => "dropdown",
         "heading" => __("Alignment", "js_composer"),
         "param_name" => "align",
         "value" => array("Left"=>"left","Center"=>"center","Right"=>"right"),
         "description" => __("Select how button will be aligned on page.", "js_composer")
      ),
      array(
         "type" => "colorpicker",
         "admin_label" => true,
         "heading" => __("Button color", "js_composer"),
         "param_name" => "color",
         "value" => '#212121', //Default Red color
         'group' => __( 'Button Design', 'js_composer' ),
         "description" => __("Choose button color.", "js_composer")
      )
   )
) );

  //Profile
  vc_map( array(
   "name" => __("KBV Profile", "js_composer"),
   "base" => "kbv_profile",
   "class" => "Profile-Class",
   "icon" => "icon-kbv-profile",
   'description' => __( 'Add personal profile with social media rollover', 'js_composer' ),
   "category" => __('Content', 'js_composer'),
   'admin_enqueue_js' => array(get_template_directory_uri().'/vc_extend/bartag.js'),
   'admin_enqueue_css' => array(get_template_directory_uri().'/vc_extend/bartag.css'),
   "params" => array(
      array(
         "type" => "attach_image",
          "heading" => __("Profile Image", "js_composer"),
          "param_name" => "attachment_id",
          "value" => "",
          "description" => __("Select image from media library. Preferably a portrait.", "js_composer")
      ),
       array(
         "type" => "textfield",
         "heading" => __("Facebook URL", "js_composer"),
         "param_name" => "facebook_url"
      ),
      array(
         "type" => "textfield",
         "heading" => __("Twitter URL", "js_composer"),
         "param_name" => "twitter_url"
      ),
      array(
         "type" => "textfield",
         "heading" => __("LinkedIn URL", "js_composer"),
         "param_name" => "linkedin_url"
      ),
      array(
         "type" => "textfield",
         "heading" => __("Youtube URL", "js_composer"),
         "param_name" => "youtube_url"
      ),
      array(
         "type" => "textfield",
         "heading" => __("Pinterest URL", "js_composer"),
         "param_name" => "pinterest_url"
      ),
      array(
         "type" => "textfield",
         "heading" => __("Flickr URL", "js_composer"),
         "param_name" => "flickr_url"
      ),
      array(
         "type" => "textfield",
         "heading" => __("Google Plus URL", "js_composer"),
         "param_name" => "googleplus_url"
      ),
      array(
         "type" => "textfield",
         "heading" => __("Tumblr URL", "js_composer"),
         "param_name" => "tumblr_url"
      ),
      array(
         "type" => "textfield",
         "heading" => __("Behance URL", "js_composer"),
         "param_name" => "behance_url"
      ),
      array(
         "type" => "textfield",
         "heading" => __("Instagram URL", "js_composer"),
         "param_name" => "instagram_url"
      ),
       array(
         "type" => "textfield",
         "heading" => __("E-mail Address", "js_composer"),
         "param_name" => "mail_url"
      ),
      array(
         "type" => "dropdown",
         "heading" => __("Rollover Background Color" , "js_composer"),
         "param_name" => "profile_display",
         "value" => array("Verticle"=>"profile-icon-set-verticle","Horizontal"=>"profile-icon-set-horizontal"),
         "description" => __("Dislay social media icons either horizontally or vertically.", "js_composer")
      ),
      array(
         "type" => "colorpicker",
         "heading" => __("Rollover Background Color", "js_composer"),
         "param_name" => "profile_bg_color",
         "value" => '#212121', //Default Red color
         "description" => __("Set background color for the profile image when it is rolled over.", "js_composer")
      )
   )
) );

  //Text Area
  vc_map( array(
   "name" => __("KBV Text Area", "js_composer"),
   "base" => "kbv_text_area",
   "class" => "",
   "category" => __('Content', "js_composer"),
   'description' => __( 'Text area with colored background', 'js_composer' ),
   "icon" => "icon-kbv-text-area",
   'admin_enqueue_js' => array(get_template_directory_uri().'/vc_extend/bartag.js'),
   'admin_enqueue_css' => array(get_template_directory_uri().'/vc_extend/bartag.css'),
   "params" => array(
      array(
         "type" => "textarea_html",
         "heading" => __("Content", "js_composer"),
         "param_name" => "content",
         "description" => __("Enter in content for text area", "js_composer")
      ),
      array(
         "type" => "colorpicker",
         "heading" => __("Background color", "js_composer"),
         "param_name" => "bg_color",
         "value" => '#FF0000', //Default Red color
         'group' => __( 'Design Settings', 'js_composer' ),
         "description" => __("Choose background color", "js_composer")
      )
   )
) );

//Google Maps
vc_map( array(
   "name" => __("KBV Google Maps", "js_composer"),
   "base" => "kbv_google_map",
   "class" => "",
   'icon' => 'icon-wpb-application-plus',
   'description' => __( 'Add your location', 'js_composer' ),
   "category" => __('Content', "js_composer"),
   'admin_enqueue_js' => array(get_template_directory_uri().'/vc_extend/bartag.js'),
   'admin_enqueue_css' => array(get_template_directory_uri().'/vc_extend/bartag.css'),
   "params" => array(
       array(
         "type" => "textfield",
         "admin_label" => true,
         "heading" => __("Title", "js_composer"),
         "param_name" => "title",
         "value" => __("New York", "js_composer"),
         "description" => __("Enter title", "js_composer")
      ),
       array(
         "type" => "textfield",
         "heading" => __("Latitude", "js_composer"),
         "param_name" => "latitude",
         "value" => __("40.7127", "js_composer"),
         "description" => __("Enter latitude of your location.", "js_composer")
      ),
       array(
         "type" => "textfield",
         "heading" => __("Longitude", "js_composer"),
         "param_name" => "longitude",
         "value" => __("-74.0059", "js_composer"),
         "description" => __("Enter longitude of your location.", "js_composer")
      ),
       array(
         "type" => "textarea_html",
         "heading" => __("Info Window", "js_composer"),
         "param_name" => "info_window",
         "value" => __("New York", "js_composer"),
         "admin_label" => true,
         "description" => __("Content that will show when your location is clicked.", "js_composer")
      ),
       array(
         "type" => "textfield",
         "heading" => __("Height", "js_composer"),
         "param_name" => "height",
         "value" => __("200", "js_composer"),
         "description" => __("Enter height of your map. Do not use \"px\" in string.", "js_composer")
      ),
       array(
         "type" => "colorpicker",
         "heading" => __("Landscape Color", "js_composer"),
         "param_name" => "landscape",
         "value" => '#1aff00', //Default Red color
         "admin_label" => true,
         "description" => __("Choose landscape color", "js_composer")
      ),
       array(
         "type" => "colorpicker",
         "heading" => __("Water Color", "js_composer"),
         "param_name" => "water",
         "value" => '#00ddff', //Default Red color
         "admin_label" => true,
         "description" => __("Choose water color", "js_composer")
      ),
   )
) );

//HTML5 Video
vc_map( array(
   "name" => __("KBV HTML5 Video", "js_composer"),
   "base" => "video",
   "class" => "",
   "icon" => "icon-wpb-film-youtube",
   'description' => __( 'Add your video', 'js_composer' ),
   "category" => __('Content', "js_composer"),
   'admin_enqueue_js' => array(get_template_directory_uri().'/vc_extend/bartag.js'),
   'admin_enqueue_css' => array(get_template_directory_uri().'/vc_extend/bartag.css'),
   "params" => array(
      array(
         "type" => "attach_image",
          "heading" => __("Poster Image", "js_composer"),
          "param_name" => "poster",
          "value" => "",
          "description" => __("Select image from media library to set as your poster image.", "js_composer")
      ),
       array(
         "type" => "textfield",
         "heading" => __("MP4 URL", "js_composer"),
         "param_name" => "mp4",
         "value" => __("http://clips.vorwaerts-gmbh.de/VfE_html5.mp4", "js_composer"),
         "description" => __("Enter mp4 video URL", "js_composer")
      ),
       array(
         "type" => "textfield",
         "heading" => __("Mov URL", "js_composer"),
         "param_name" => "mov",
         "description" => __("Enter Mov video URL for fallback", "js_composer")
      ),
       array(
         "type" => "textfield",
         "heading" => __("Ogv URL", "js_composer"),
         "param_name" => "ogv",
         "description" => __("Enter Ogv video URL for fallback", "js_composer")
      ),
       array(
         "type" => "textfield",
         "heading" => __("Width", "js_composer"),
         "param_name" => "width",
         "value" => __("640", "js_composer"),
         "description" => __("Enter video width. Do not use \"px\" in string", "js_composer")
      ),
       array(
         "type" => "textfield",
         "heading" => __("Height", "js_composer"),
         "param_name" => "height",
         "value" => __("360", "js_composer"),
         "description" => __("Enter video height. Do not use \"px\" in string", "js_composer")
      ),
   )
) );

//Audio
vc_map( array(
   "name" => __("KBV Audio", "js_composer"),
   "base" => "audio",
   "class" => "",
   "icon" => "icon-kbv-audio",
   'description' => __( 'Add your audio', 'js_composer' ),
   "category" => __('Content', "js_composer"),
   'admin_enqueue_js' => array(get_template_directory_uri().'/vc_extend/bartag.js'),
   'admin_enqueue_css' => array(get_template_directory_uri().'/vc_extend/bartag.css'),
   "params" => array(
       array(
         "type" => "textfield",
         "heading" => __("MP3 URL", "js_composer"),
         "param_name" => "mp4",
         "value" => __("source.mp3", "js_composer"),
         "description" => __("Enter mp3 audio URL", "js_composer")
      ),
       array(
         "type" => "textfield",
         "heading" => __("Ogg URL", "js_composer"),
         "param_name" => "ogg",
         "description" => __("Enter Ogg audio URL for fallback", "js_composer")
      ),
       array(
         "type" => "textfield",
         "heading" => __("WAV URL", "js_composer"),
         "param_name" => "wav",
         "description" => __("Enter WAV audio URL for fallback", "js_composer")
      )
   )
) );

//Portfolio Gallery
vc_map( array(
   "name" => __("KBV Portfolio Gallery", "js_composer"),
   "base" => "kbv_portfolio_thumbnails",
   "class" => "",
   "icon" => "icon-kbv-portfolio-gallery",
   'description' => __( 'Add your portfolio items', 'js_composer' ),
   "category" => __('Content', "js_composer"),
   'admin_enqueue_js' => array(get_template_directory_uri().'/vc_extend/bartag.js'),
   'admin_enqueue_css' => array(get_template_directory_uri().'/vc_extend/bartag.css'),
   "params" => array(
        array(
         "type" => "dropdown",
         "admin_label" => true,
         "heading" => __("Image Dimension", "js_composer"),
         "param_name" => "thumb_style",
         "value" => array("Normal"=>"normal-thumb","Square"=>"square-thumb","Wide"=>"wide-thumb","Tall"=>"tall-thumb"),
         "description" => __("Select the dimensions of your thumbnails.", "js_composer")
      ),
      array(
         "type" => "dropdown",
         "admin_label" => true,
         "heading" => __("Image Size", "js_composer"),
         "param_name" => "thumb_size",
         "value" => array("12 Columns"=>"folio-col-12","10 Columns"=>"folio-col-10","8 Columns"=>"folio-col-8","6 Columns"=>"folio-col-6","4 Columns"=>"folio-col-4","3 Columns"=>"folio-col-3","2 Columns"=>"folio-col-2","1 Column"=>"folio-col-1"),
         "description" => __("Select the size of your thumbnails.", "js_composer")
      ),
        array(
         "type" => "textfield",
         "admin_label" => true,
         "heading" => __("Limit", "js_composer"),
         "param_name" => "limit",
         "value" => __("24", "js_composer"),
         "description" => __("Enter integer value of thumbnails to display. (Displays most recent)", "js_composer")
      ),
        array(
         "type" => "textfield",
         "heading" => __("Categories", "js_composer"),
         "param_name" => "category_id",
         "description" => __("Enter categories id's of portfolio items to display separated by comma. For example: \"2, 5, 6\". Leave blank to display all.", "js_composer")
      ),
      array(
        'type' => 'checkbox',
        'heading' => __( 'Add gutter', 'js_composer' ),
        'param_name' => 'gutter',
        'description' => __( 'If selected, thumnails with have gutter spacing between them', 'js_composer' ),
        'value' => array( __( 'Yes, please', 'js_composer' ) => 'yes' )
      ),
      array(
        'type' => 'checkbox',
        'heading' => __( 'Include Sorter', 'js_composer' ),
        'param_name' => 'include_sorter',
        'description' => __( 'If selected, thumnails will be sortable by categories', 'js_composer' ),
        'value' => array( __( 'Yes, please', 'js_composer' ) => 'yes' )
      ),
      array(
        'type' => 'checkbox',
        'heading' => __( 'Masonry Layout', 'js_composer' ),
        'param_name' => 'include_masonry',
        'description' => __( 'Check to include Masonry style layout. If selected, this will overide standard image dimensions set above. Instead each thumnail will take on the dimension set when you created your portfolio item.', 'js_composer' ),
        'value' => array( __( 'Yes, please', 'js_composer' ) => 'masonry' )
      ),
      array(
         "type" => "dropdown",
         "admin_label" => true,
         "heading" => __("Masonry Image Size", "js_composer"),
         "param_name" => "masonry_thumb_size",
         "value" => array("Normal"=>"normal","Small"=>"small"),
         "description" => __("Choose the size of the thumnails in your Masonry style layout.", "js_composer")
      )
   )
) );

//Pricing Table
vc_map( array(
   "name" => __("KBV Pricing Table", "js_composer"),
   "base" => "kbv_pricing_table",
   "class" => "",
   "icon" => "icon-kbv-pricing-table",
   'description' => __( 'Show your services', 'js_composer' ),
   "category" => __('Content', "js_composer"),
   'admin_enqueue_js' => array(get_template_directory_uri().'/vc_extend/bartag.js'),
   'admin_enqueue_css' => array(get_template_directory_uri().'/vc_extend/bartag.css'),
   "params" => array(
       array(
         "type" => "textfield",
         "admin_label" => true,
         "heading" => __("Title", "js_composer"),
         "param_name" => "title",
         "description" => __("Enter title of pricing table.", "js_composer")
      ),
       array(
        'type' => 'checkbox',
        'heading' => __( 'Highlight Pricing Table', 'js_composer' ),
        'param_name' => 'highlight',
        'value' => array( __( 'Yes, please', 'js_composer' ) => 'yes' ),
        "description" => __("Make this table the focal point.", "js_composer")
      ),
       array(
         "type" => "textfield",
         "admin_label" => true,
         "heading" => __("Price", "js_composer"),
         "param_name" => "price",
         "value" => __("$59<sup>99</sup>", "js_composer")
      ),
       array(
         "type" => "textarea_html",
         "heading" => __("Pricing Table Content", "js_composer"),
         "param_name" => "pricing_table_content",
         "value" => __("<ul><li>Feat 1</li><li>Feat 2</li><li>Feat 3</li><li>Feat 4</li><li>Feat 5</li></ul>", "js_composer"),
         "description" => __("Use an unordered list to create your features.", "js_composer")
      ),
       array(
         "type" => "textfield",
         "admin_label" => true,
         "heading" => __("Sign Up Title", "js_composer"),
         "param_name" => "sign_up_title",
         "value" => __("Sign Up", "js_composer")
      ),
       array(
         "type" => "textfield",
         "admin_label" => true,
         "heading" => __("Sign Up URL", "js_composer"),
         "param_name" => "sign_up_url"
      )
   )
) );

//Testimonial SLider
vc_map( array(
   "name" => __("KBV Testimonial Slider", "js_composer"),
   "base" => "kbv_testimonial_slider",
   "class" => "",
   "icon" => "icon-kbv-testimonial-slider",
   'description' => __( 'Display a testimonial slider', 'js_composer' ),
   "category" => __('Content', "js_composer"),
   "params" => array(
       array(
         "type" => "textfield",
         "admin_label" => true,
         "heading" => __("Slide Speed", "js_composer"),
         "param_name" => "speed",
         "value" => __("10000", "js_composer"),
         "description" => __("Value in milliseconds", "js_composer")
      ),
   )
) );

//Image Carousel
vc_map( array(
   "name" => __("KBV Image Carousel", "js_composer"),
   "base" => "kbv_image_carousel",
   "class" => "",
   "icon" => "icon-kbv-image-carousel",
   'description' => __( 'Add image carousel', 'js_composer' ),
   "category" => __('Content', "js_composer"),
   "params" => array(
        array(
        'type' => 'attach_images',
        'heading' => __( 'Images', 'js_composer' ),
        'param_name' => 'image_id_array',
        "admin_label" => true,
        'description' => __( 'Select images from media library.', 'js_composer' )
      ),
        array(
         "type" => "textfield",
         "admin_label" => true,
         "heading" => __("Slide Speed", "js_composer"),
         "param_name" => "speed",
         "value" => __("5000", "js_composer"),
         "description" => __("Value in milliseconds", "js_composer")
      ),
        array(
         "type" => "textfield",
         "admin_label" => true,
         "heading" => __("Desktop Display", "js_composer"),
         "param_name" => "size_large",
         "value" => __("6", "js_composer"),
         "description" => __("How many images to display on large resolution at once.", "js_composer")
      ),
        array(
         "type" => "textfield",
         "admin_label" => true,
         "heading" => __("Tablet Display", "js_composer"),
         "param_name" => "size_normal",
         "value" => __("4", "js_composer"),
         "description" => __("How many images to display on normal resolution (1024px) at once.", "js_composer")
      ),
        array(
         "type" => "textfield",
         "admin_label" => true,
         "heading" => __("Small Screen", "js_composer"),
         "param_name" => "size_small",
         "value" => __("2", "js_composer"),
         "description" => __("How many images to display on small resolution (768px) at once.", "js_composer")
      ),
   )
) );

//Recent Blog Posts
vc_map( array(
   "name" => __("KBV Recent Blog Posts", "js_composer"),
   "base" => "kbv_blog_posts",
   "class" => "",
   "icon" => "icon-kbv-recent-posts",
   'description' => __( 'Display your most recent blog posts', 'js_composer' ),
   "category" => __('Content', "js_composer"),
   "params" => array(
      array(
         "type" => "textfield",
         "admin_label" => true,
         "heading" => __("Post Count", "js_composer"),
         "param_name" => "post_count",
         "value" => __("4", "js_composer"),
         "description" => __("Number of recent blog posts to display", "js_composer")
      ),
        array(
         "type" => "dropdown",
         "heading" => __("Post Content", "js_composer"),
         "param_name" => "post_content",
         "value" => array("Full Text"=>"full_text","Summary"=>"summary"),
      ),
        array(
        'type' => 'checkbox',
        'heading' => __( 'Masonry Layout', 'js_composer' ),
        'param_name' => 'include_masonry',
        'description' => __( 'If selected, blog will have a masonry layout.', 'js_composer' ),
        'value' => array( __( 'Yes, please', 'js_composer' ) => 'yes' )
      ),
        array(
         "type" => "dropdown",
         "heading" => __("Masonry Column Count", "js_composer"),
         "param_name" => "masonry_column_count",
         "value" => array("2 Columns"=>"entry-span6","4 Columns"=>"entry-span3"),
         "description" => __("If Masonry is checked, how many columns will display?", "js_composer")
      ),
   )
) );

//Image Reveal
vc_map( array(
   "name" => __("KBV Image Reveal", "js_composer"),
   "base" => "kbv_image_reveal",
   "class" => "",
   "icon" => "icon-kbv-image-reveal",
   'description' => __( 'Mouse position image reveal', 'js_composer' ),
   "category" => __('Content', "js_composer"),
   "params" => array(
       array(
        'type' => 'attach_image',
        'heading' => __( 'Image 1', 'js_composer' ),
        'param_name' => 'img1_id',
        "admin_label" => true,
        'description' => __( 'Select image from media library.', 'js_composer' )
      ),
       array(
        'type' => 'attach_image',
        'heading' => __( 'Image 2', 'js_composer' ),
        'param_name' => 'img2_id',
        "admin_label" => true,
        'description' => __( 'Select image from media library.', 'js_composer' )
      ),
       array(
        'type' => 'checkbox',
        'heading' => __( 'Add Drop Shadow', 'js_composer' ),
        'param_name' => 'drop_shadow',
        'value' => array( __( 'Yes, please', 'js_composer' ) => 'drop-shadow' )
      ),
       array(
         "type" => "textfield",
         "admin_label" => true,
         "heading" => __("Reveal X Position", "js_composer"),
         "param_name" => "reveal_x_position",
         "value" => __("20", "js_composer"),
         "description" => __("Set value where the reveal divider x position will be set at. Value will use pixels. Do not include \"px\" in string.", "js_composer")
      ),
   )
) );

//Line Separator
vc_map( array(
   "name" => __("KBV Line Separator", "js_composer"),
  "base" => "kbv_separator",
  'class' => '',
  'icon' => 'icon-wpb-ui-separator',
  'description' => __( 'Modern line break', 'js_composer' ),
  'category' => __( 'Structure', 'js_composer' ),
  'description' => __( '', 'js_composer' ),
) );

// Remove unwanted and unsupported Visual Composer elements
vc_remove_element("vc_separator");
vc_remove_element("vc_text_separator");
vc_remove_element("vc_images_carousel");
vc_remove_element("vc_tour");
vc_remove_element("vc_gitem_acf");
vc_remove_element("vc_posts_grid");
vc_remove_element("vc_posts_slider");
vc_remove_element("vc_carousel");
vc_remove_element("vc_cta_button");
vc_remove_element("vc_cta_button2");
vc_remove_element("vc_gmaps");
vc_remove_element("vc_flickr");
vc_remove_element("vc_wp_custommenu");
vc_remove_element("vc_basic_grid");
vc_remove_element("vc_masonry_grid");
vc_remove_element("vc_button");
vc_remove_element("vc_button2");


/**
* Remove acf shortcode from grid element list
* @param array $shortcodes list of shortcodes to be mapped to grid element
*
* @return mixed
*/
function vc_remove_shortcodes_from_vc_grid_element($shortcodes) {
  unset($shortcodes['vc_gitem_acf']);
  return $shortcodes;
}
// using wp filter hook to remove shortcodes from the list;
add_filter('vc_grid_item_shortcodes', 'vc_remove_shortcodes_from_vc_grid_element', 100);
?>