<?php 
/**
 * Entry Image Template For Post Template
 *
 * @package Ilander
 * @version 1.1.3
**/
?>
<?php
   	//Create Variables
     $entry_include_image_reveal = get_field('entry_include_image_reveal');
     $entry_image = get_field('entry_image');
     $entry_image_2 = get_field('entry_image_2');
     $entry_reveal_x_position = get_field('entry_reveal_x_position');
   
     $entry_image_attributes = wp_get_attachment_image_src( $entry_image, 'large'  ); // returns an array
     $entry_image_2_attributes = wp_get_attachment_image_src( $entry_image_2, 'large'  ); // returns an array
   
   	 //If there is no x position set for image reveal set to 0
     if (empty($entry_reveal_x_position)) { 
     	$entry_reveal_x_position = 0;
     }
   ?>
<article id="post-<?php the_ID(); ?>"  class="entry-post item <?php echo $masonry_column_count;?>">
   <?php 
      if (!empty($entry_image) && empty($entry_include_image_reveal)) {
        echo '<a href="'.get_the_permalink().'">';
        echo '	<img src="'.$entry_image.'">';
        echo '</a>';
      } 
      elseif (!empty($entry_image) && !empty($entry_image_2) && !empty($entry_include_image_reveal)) {
        wp_enqueue_script( 'reveal-slider' ); //Run Script nessesary for Image Reveal to work
        echo '<div class="reveal">';
        echo '	<img class="img1" src="'.$entry_image_2_attributes[0].'" alt="'.get_post_meta($entry_image_2, '_wp_attachment_image_alt', true).'">';
      	echo '	<img class="img2" src="'.$entry_image_attributes[0].'" alt="'.get_post_meta($entry_image, '_wp_attachment_image_alt', true).'" style="clip: rect(0px, '.$entry_reveal_x_position.'px, 9999px, 0px);">';
      	echo '	<div class="activator">'; //Activator creates the cool split effect between the 2 images
      	echo '	</div>';
      	echo '</div>';
        }
       ?>
   <div class="row">
      <div class="col-sm-12">
         <div class="right-padding bottom-padding left-padding">
            <div class="row">
               <div class="col-xs-9 no-padding">
                  <?php the_title( sprintf( '<h3 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h3>' ); ?>
               </div> <!-- .col-xs-9 -->
               <div class="col-xs-3 no-padding">
                  <?php if( function_exists('zilla_likes') ) zilla_likes(); //Add Zilla Likes if plugin is activated ?>
               </div> <!-- .col-xs-3 -->
            </div> <!-- .row -->
            <hr>
            <?php get_template_part('inc/meta' ); ?>
            <div class="content entry">
               <?php 
               	  // Figure out if the post will show a summary or entire post
                  if ($post_content == 'summary') {
                  	the_excerpt();
                  }
                  else {
                  	the_content();
                  }
                  ?>
            </div> <!-- .content -->
            <a class="button-style-two read-more-btn" href="<?php the_permalink(); ?>">Read More</a>
         </div> <!-- .right-padding -->
      </div> <!-- .col-sm-12 -->
   </div> <!-- .row -->
</article> <!-- .entry-post -->