<?php
// Text Area shortcode
function kbv_text_area($atts, $content = null) {
    extract(shortcode_atts(array( //Combines user shortcode attributes with known attributes and fills in defaults when needed. The result will contain every key from the known attributes, merged with values from shortcode attributes.
        'bg_color' => '#ff3a0d'
    ), $atts));
    $output .= '<div class="work-field" style="background: ' . $bg_color . '">';
    $output .= do_shortcode($content); // Add the content
    $output .= '</div>';
    return $output;
}
add_shortcode("kbv_separator", "kbv_seperator");

// Seperator shortcode
function kbv_seperator()
{
    return '<hr>';
}
add_shortcode("kbv_separator", "kbv_separator");

// Google Map shortcode
function kbv_google_map($atts, $content = null) {
    extract(shortcode_atts(array( //Combines user shortcode attributes with known attributes and fills in defaults when needed. The result will contain every key from the known attributes, merged with values from shortcode attributes.
        'title' => 'Title Here',
        'info_window' => 'I am here',
        'latitude' => '40.7127',
        'longitude' => '74.0059',
        'road' => '#ff5500',
        'landscape' => '#1aff00',
        'water' => '#00ddff',
        'height' => '200'
    ), $atts));
    // Add script files to support Google Maps
    // Send data to client
    wp_localize_script('gmaps', 'kbv_map_data', array(
      'url' => content_url(), //The URL for the custom marker
      'gmaps_title' => $title, //
      'gmaps_info_window' => $info_window, //
      'gmaps_latitude' => $latitude, //
      'gmaps_longitude' => $longitude, //
      'gmaps_landscape' => $landscape, //
      'gmaps_water' => $water, //
    )); 
    wp_enqueue_script('gmaps_api');
    wp_enqueue_script('gmaps');
    return '<div id="map" class="preload-center " style="height: ' . intval($height) . 'px"></div>';
}
add_shortcode("kbv_google_map", "kbv_google_map");

// Button shortcode
function kbv_button($atts, $content = null) {
    extract(shortcode_atts(array( //Combines user shortcode attributes with known attributes and fills in defaults when needed. The result will contain every key from the known attributes, merged with values from shortcode attributes.
        'style' => 'button-style-one',
        'color' => '#212121',
        'align' => 'left',
        'size' => '14',
        'target' => '_self',
        'url' => '#'
    ), $atts));
    // Determine if to use outline or solid button
    if ($style == "button-style-one") {
        $output .= '<p style="text-align:' . $align . '">';
        $output .= '    <a style="background:' . $color . '; font-size:'.intval($size).'px" class="button-style-one" href="' . esc_url($url) . '" target="' . $target . '">' . do_shortcode($content) . '</a>';
        $output .= '</p>';
    } //$style == "button-style-one"
    else {
        $output .= '<p style="text-align:' . $align . '">';
        $output .= '    <a style="color:' . $color . '; border-color:' . $color . '; font-size:'.intval($size).'px" class="button-style-two" href="' . esc_url($url) . '" target="' . $target . '">' . do_shortcode($content) . '</a>';
        $output .= '</p>';
    }
    return $output;
}
add_shortcode("kbv_button", "kbv_button");

// Profile shortcode
function kbv_display_profile($atts, $content = null) {
    extract(shortcode_atts(array( //Combines user shortcode attributes with known attributes and fills in defaults when needed. The result will contain every key from the known attributes, merged with values from shortcode attributes.
        'facebook_url' => '',
        'twitter_url' => '',
        'linkedin_url' => '',
        'youtube_url' => '',
        'pinterest_url' => '',
        'flickr_url' => '',
        'googleplus_url' => '',
        'tumblr_url' => '',
        'behance_url' => '',
        'instagram_url' => '',
        'mail_url' => '',
        'profile_display' => '',
        'profile_bg_color' => '',
        'src' => '',
        'attachment_id' => ''
    ), $atts));
    //Social Networking Rollover
    $image_attributes = wp_get_attachment_image_src($attachment_id, 'large'); // returns an array
    $alt              = get_post_meta($attachment_id, '_wp_attachment_image_alt', true);
    
    //Facebook rollover
    if (!empty($facebook_url)) {
        $profile = '<li class="transition"><a class="transition" href="' . esc_url($facebook_url) . '" target="_blank"><i class="fa fa-facebook"></i></a></li>';
    } //!empty($facebook_url)
    
    //Twitter rollover
    if (!empty($twitter_url)) {
        $profile .= '<li class="transition"><a class="transition" href="' . esc_url($twitter_url) . '" target="_blank"><i class="fa fa-twitter"></i></a></li>';
    } //!empty($twitter_url)
    
    //Linkedin rollover
    if (!empty($linkedin_url)) {
        $profile .= '<li class="transition"><a class="transition" href="' . esc_url($linkedin_url) . '" target="_blank"><i class="fa fa-linkedin"></i></a></li>';
    } //!empty($linkedin_url)
    
    //Youtube rollover
    if ($youtube_url != "") {
        $profile .= '<li class="transition"><a class="transition" href="' . esc_url($youtube_url) . '" target="_blank"><i class="fa fa-youtube-play"></i></a></li>';
    } //$youtube_url != ""
    
    //Pinterest rollover
    if ($pinterest_url != "") {
        $profile .= '<li class="transition"><a class="transition" href="' . esc_url($pinterest_url) . '" target="_blank"><i class="fa fa-pinterest"></i></a></li>';
    } //$pinterest_url != ""
    
    //Flickr rollover
    if ($flickr_url != "") {
        $profile .= '<li class="transition"><a class="transition" href="' . esc_url($flickr_url) . '" target="_blank"><i class="fa fa-flickr"></i></a></li>';
    } //$flickr_url != ""
    
    //Google Plus rollover
    if ($googleplus_url != "") {
        $profile .= '<li class="transition"><a class="transition" href="' . esc_url($googleplus_url) . '" target="_blank"><i class="fa fa-google-plus"></i></a></li>';
    } //$googleplus_url != ""
    
    //Tumblr rollover
    if ($tumblr_url != "") {
        $profile .= '<li class="transition"><a class="transition" href="' . esc_url($tumblr_url) . '" target="_blank"><i class="fa fa-tumblr"></i></a></li>';
    } //$tumblr_url != ""
    
    //Behance rollover
    if ($behance_url != "") {
        $profile .= '<li class="transition"><a class="transition" href="' . esc_url($behance_url) . '" target="_blank"><i class="fa fa-behance"></i></a></li>';
    } //$behance_url != ""
    
    //Instagram rollover
    if ($instagram_url != "") {
        $profile .= '<li class="transition"><a class="transition" href="' . esc_url($instagram_url) . '" target="_blank"><i class="fa fa-instagram"></i></a></li>';
    } //$instagram_url != ""
    
    //Mail rollover
    if ($mail_url != "") {
        $profile .= '<li class="transition"><a class="transition" href="mailto:' . sanitize_email($mail_url) . '" target="_blank"><i class="fa fa-envelope"></i></a></li>';
    } //$mail_url != ""
    
    $profile_output = '<div class="item-filler">';
    $profile_output .= '    <div class="vcenter-wrapper">';
    $profile_output .= '        <div class="vcenter">';
    $profile_output .= '            <ul class="profile-icon-set ' . $profile_display . '">';
    $profile_output .= $profile;
    $profile_output .= '            </ul>';
    $profile_output .= '        </div>';
    $profile_output .= '    </div>';
    $profile_output .= '</div>';
    $profile_output .= '<div class="item-cover transition" style="background-color:' . $profile_bg_color . '"> </div>';
    
    return '<div class="profile-image item">' . $profile_output . '<img src="' . $image_attributes[0] . '" alt="' . $alt . '"></div>';
}

add_shortcode("kbv_profile", "kbv_display_profile");



//Display Portfolio Shortcode
function kbv_portfolio($atts) {
    extract(shortcode_atts(array( //Combines user shortcode attributes with known attributes and fills in defaults when needed. The result will contain every key from the known attributes, merged with values from shortcode attributes.
        'limit' => '24',
        'thumb_size' => 'folio-col-6',
        'masonry_thumb_size' => 'normal',
        'thumb_style' => 'normal-thumb',
        'gutter' => '0',
        'category_id' => '',
        'include_masonry' => '',
        'include_sorter' => ''
    ), $atts));

    if (!empty($category_id)) {
        $taxonomy_array = explode(', ', $category_id);
        $args = array(
            'post_type' => 'portfolio',
            'posts_per_page' => intval($limit),
            $test_array = 'tax_query' => array(
                array(
                    'taxonomy' => 'portfolio-categories',
                    'terms'    => $taxonomy_array
                ),
            ),
        );
    }
    else {
        $args = array(
            'post_type' => 'portfolio',
            'posts_per_page' => intval($limit),
        );
    }

    //Add style and script to support portfolio section
    wp_enqueue_style('isotope-css');
    wp_enqueue_script('imagesLoaded');
    wp_enqueue_script('jquery-isotope');
    
    
    $portfolioThumbnails = new WP_Query($args);
    /* If yes, will add 1 pixel of padding so the thumbnail will have spacing.
    Since each thumnail will have 1 pixel of padding in itself, they will be spaced 2 pixels apart*/
    if ($gutter == "yes") {
        $gutter = "1";
    } //$gutter == "yes"
    // Give portfolio thumbnails display small
    if ($masonry_thumb_size == 'small') {
        $width1           = 'w3';
        $width2           = 'w4';
        $folio_grid_sizer = 'folio-grid-sizer-small';
    } //$masonry_thumb_size == 'small'
    // Give portfolio thumbnails display normal
    else {
        $width1           = 'w1';
        $width2           = 'w2';
        $folio_grid_sizer = 'folio-grid-sizer-normal';
    }

    $filter_args = array(
        'order'             => 'ASC',
        'hide_empty'        => true,
        'include'           => $taxonomy_array
    ); 

    // Get portfolio categories for sorter if available or if sorter is added.
    $terms = get_terms("portfolio-categories", $filter_args);

    if (!empty($terms) && !is_wp_error($terms) && !empty($include_sorter)) {
        $portfolio_output = '<div class="portfolio-filter container">';
        $portfolio_output .= '    <div class="col-xs-12">';
        $portfolio_output .= '        <ul class="category-list">'; // Each category is placed in it's own list item
        $portfolio_output .= '            <li>';
        $portfolio_output .= '                <a href="#" data-filter="*" class="portfolio-filter-link current">All Categories</a>';
        $portfolio_output .= '            </li>';
        foreach ($terms as $term) {
            $portfolio_output .= '            <li>';
            $portfolio_output .= '                <a href="#" class="portfolio-filter-link" data-filter="' . '.cat-' . $term->term_id . '">' . $term->name . '</a>';
            $portfolio_output .= '            </li>';
        } //$terms as $term
        $portfolio_output .= '        </ul>';
        $portfolio_output .= '    </div>';
        $portfolio_output .= '</div>';
    } //!empty($terms) && !is_wp_error($terms) && !empty($include_sorter)

    if (!empty($include_masonry)) {
        $layout_class = 'masonry';
    }
    else {
        $layout_class = 'grid';
    }
    
    $portfolio_output .= '<div class="row section portfolio-thumb-wrapper portfolio-container preload-hidden ' . $layout_class . '">';
    
    while ($portfolioThumbnails->have_posts()):
        $portfolioThumbnails->the_post();
        
        $masonry_size = get_field('masonry_size');
        // If true and Masonry is active display image wide
        if ($masonry_size == 'wide' && !empty($include_masonry)) {
            $thumb_style        = 'wide-thumb';
            $masonry_thumb_size = $width2;
        } //$masonry_size == 'wide' && !empty($include_masonry)
        // If true and Masonry is active display image tall
        elseif ($masonry_size == 'tall' && !empty($include_masonry)) {
            $thumb_style        = 'tall-thumb';
            $masonry_thumb_size = $width1;
        } //$masonry_size == 'tall' && !empty($include_masonry)
            
        // If true and Masonry is active display image square
            elseif ($masonry_size == 'square' && !empty($include_masonry)) {
            $thumb_style        = 'square-thumb';
            $masonry_thumb_size = $width1;
        } //$masonry_size == 'square' && !empty($include_masonry)
            
        // If true and Masonry is active display image as large square
            elseif ($masonry_size == 'widetall' && !empty($include_masonry)) {
            $thumb_style        = 'square-thumb';
            $masonry_thumb_size = $width2;
        } //$masonry_size == 'widetall' && !empty($include_masonry)
        
        if (!empty($include_masonry)) {
            $portfolio_output .= '    <div class="' . $folio_grid_sizer . '"></div>'; // Grid sizer helps the thumnails become responsive
        } //!empty($include_masonry)
        
        global $post;
        global $wp_query;
        $portfolioLink       = get_post_meta($post->ID, 'custom_link', true);
        $categories          = get_terms('category', 'orderby=count&hide_empty=0');
        $item_color          = get_field('item_color');
        $terms               = get_the_terms($post->ID, 'portfolio-categories');
        $title               = get_the_title();
        $permalink           = get_permalink();
        $thumbnail           = get_the_post_thumbnail($post->ID, $thumb_style);
        $term                = $wp_query->queried_object;
        $cat_output          = '';
        $separator           = ' ';
        if ($terms) {
            foreach ($terms as $term) {
                $cat_output .= 'cat-' . $term->term_id . '' . $separator;
            } //$terms as $term
        } //$terms
        
        if (!empty($include_masonry)) {
            $portfolio_output .= '    <div class="' . $masonry_thumb_size . ' ' . $cat_output . ' item" style="padding:' . $gutter . 'px">';
        } //!empty($include_masonry)
        else {
            $portfolio_output .= '    <div class="' . $thumb_size . ' ' . $cat_output . ' item" style="padding:' . $gutter . 'px">';
        }
        $portfolio_output .= '        <div class="portfolio-thumb">';
        $portfolio_output .= $thumbnail;
        $portfolio_output .= '            <a class="item-filler" href="' . $permalink . '">';
        $portfolio_output .= '                <div class="vcenter-wrapper">';
        $portfolio_output .= '                    <div class="vcenter">';
        $portfolio_output .= '                        <span class="transition portfolio-title">' . $title . '</span>';
        $portfolio_output .= '                        <span class="transition">' . $term->name . '</span>';
        $portfolio_output .= '                    </div>';
        $portfolio_output .= '                </div>';
        $portfolio_output .= '            </a>';
        $portfolio_output .= '            <div class="transition item-cover ' . $item_color . '">';
        $portfolio_output .= '            </div>';
        $portfolio_output .= '        </div>';
        $portfolio_output .= '    </div>';
    endwhile;
    $portfolio_output .= '</div>';
    return $portfolio_output;
    wp_reset_postdata();
}
add_shortcode('kbv_portfolio_thumbnails', 'kbv_portfolio');

//Display Testimonial Slider Shortcode
function kbv_testimonial_slider($atts) {
    extract(shortcode_atts(array( //Combines user shortcode attributes with known attributes and fills in defaults when needed. The result will contain every key from the known attributes, merged with values from shortcode attributes.
        'speed' => '6000'
    ), $atts));
    
    $args = array(
        'post_type' => 'testimonial'
    );
    
    wp_enqueue_script('flexslider-js');
    wp_localize_script('scripts', 'testimonial_flexslider__vars', array(
        'speed' => sprintf( __('%d', 'testimonial'), $speed ),
    ));
    
    $testimonial_slider = new WP_Query($args);
    
    //store the $post variable
    global $post;
    $temp = $post;
    $output = '<div class="quote-flexslider flexslider preload-hidden">';
    $output .= '    <ul class="slides">';
    
    while ($testimonial_slider->have_posts()):
        $testimonial_slider->the_post();
        $testimonial_content = get_field('testimonial_content');
        $author_name = get_field('author_name');
        $author_title = get_field('author_title');
        $author_picture_id = get_field('author_picture_id');
        $image_attributes = wp_get_attachment_image_src($author_picture_id, 'thumbnail'); // returns an array
        $alt = get_post_meta($author_picture_id, '_wp_attachment_image_alt', true);
        
        $output .= '        <li class="quote light-txt">';
        $output .= '            <div class="row">';
        if (empty($author_picture_id)) {
            $output .= '            <div class="col-xs-12 no-padding">';
            $output .= '                <div class="quote-box">';
            $output .= '                    <span>' . $testimonial_content . '</span>';
        } //empty($author_picture)
        else {
            $output .= '            <div class="col-xs-3 col-sm-1 no-padding">';
            $output .= '                <img src="' . $image_attributes[0] . '" alt="' . $alt . '">';
            $output .= '            </div>';
            $output .= '            <div class="col-xs-9 col-sm-11 no-padding">';
            $output .= '                <div class="quote-box-left left-triangle">';
            $output .= '                    <span>' . $testimonial_content . '</span>';
        }
        if (!empty($author_name)) {
            $output .= '                    <br><span class="quote-author-name">- ' . $author_name . ' ';
        } //!empty($author_name)
        if (!empty($author_title)) {
            $output .= '('.$author_title.')';
        } //!empty($author_title)
        $output .= '                    </div>';
        $output .= '                </div>';
        $output .= '            </div>';
        $output .= '        </li>';
    endwhile;
    
    $output .= '    </ul>';
    $output .= '</div>';
    
    return $output;
    wp_reset_postdata();
}
add_shortcode('kbv_testimonial_slider', 'kbv_testimonial_slider');

// Pricing Table
function kbv_pricing_table($atts, $content = null) {
    extract(shortcode_atts(array( //Combines user shortcode attributes with known attributes and fills in defaults when needed. The result will contain every key from the known attributes, merged with values from shortcode attributes.
        'title' => 'Title',
        'highlight' => '',
        'price' => '',
        'pricing_table_content' => '',
        'sign_up_title' => '',
        'sign_up_url' => '#'
    ), $atts));
    
    if ($highlight == 'yes') {
        $featured  = 'featured ';
        $light_txt = 'light-txt ';
    } //$highlight == 'yes'
    
    $output .= '<div class="' . $featured . 'pricing-plan">';
    $output .= '    <div class="pricing">';
    $output .= '        <h2 class="' . $light_txt . 'pricing-title">' . $title . '</h2>';
    $output .= '        <span class="price">' . $price . '</span>';
    $output .= '    </div>';
    $output .= $pricing_table_content;
    //Only run this code if there is a title in the pricing table
    if (!empty($sign_up_title)) {
        $output .= '    <p class="signup-wrapper">';
        $output .= '        <a class="signup button-style-two" href="' . esc_url($sign_up_url) . '">' . wp_kses_post($sign_up_title) . '</a>';
        $output .= '    <p>';
    } //!empty($sign_up_title)
    $output .= '</div>';
    
    return $output;
}
add_shortcode("kbv_pricing_table", "kbv_pricing_table");


// Image Carousel
function kbv_image_carousel($atts, $content = null) {
    extract(shortcode_atts(array( //Combines user shortcode attributes with known attributes and fills in defaults when needed. The result will contain every key from the known attributes, merged with values from shortcode attributes.
        'image_id_array' => '',
        'size_small' => '2',
        'size_normal' => '4',
        'size_large' => '6',
        'speed' => '5000'
    ), $atts));
    
    wp_enqueue_script('flexslider-js');
    wp_localize_script('scripts', 'carousel_flexslider__vars', array(
        'size_desktop' => sprintf( __('%d', 'carousel'), $size_large ), //About of carousel items to display on desktop resolution
        'size_tablet' => sprintf( __('%d', 'carousel'), $size_normal ), //About of carousel items to display on tablet resolution
        'size_mobile' => sprintf( __('%d', 'carousel'), $size_small ), //About of carousel items to display on phone resolution
        'speed' => sprintf( __('%d', 'carousel'), $speed ), //Speed of carousel
    ));
       
    $image_ids = explode(',', $image_id_array); //breaks string into an array
    
    $output = '<div class="carousel-flexslider flexslider preload-hidden">';
    $output .= '    <ul class="slides">';
    
    foreach ($image_ids as $image_id) {
        $image_url = wp_get_attachment_image_src($image_id, 'large');
        $alt = get_post_meta($image_id, '_wp_attachment_image_alt', true);
        
        $output .= '        <li>';
        $output .= '            <img src="' . $image_url[0] . '" alt="' . $alt . '">';
        $output .= '        </li>';
    } //$image_ids as $image_id
    
    $output .= '    </ul>';
    $output .= '</div>';
    
    return $output;
}
add_shortcode("kbv_image_carousel", "kbv_image_carousel");

// Blog Posts
function kbv_blog_posts($atts, $content = null)
{
    extract(shortcode_atts(array( //Combines user shortcode attributes with known attributes and fills in defaults when needed. The result will contain every key from the known attributes, merged with values from shortcode attributes.
        'post_count' => '4',
        'post_content' => 'full_text',
        'include_masonry' => '',
        'masonry_column_count' => 'entry-span3'
    ), $atts));
    
    if ($include_masonry == 'yes') {
        //Load nessesary scripts for blog posts
        wp_enqueue_style('isotope-css');
        wp_enqueue_script('imagesLoaded');
        wp_enqueue_script('jquery-isotope');
        $output = '<div class="masonry entry-posts row preload-hidden">';
    } //$include_masonry == 'yes'
    else {
        $output .= '<div class="entry-posts row">';
        $masonry_column_count = '';
    }
    if ($masonry_column_count == 'entry-span6') {
        $posts_grid_sizer = 'posts-grid-sizer-span-6';
    } //$masonry_column_count == 'entry-span6'
    elseif ($masonry_column_count == 'entry-span3') {
        $posts_grid_sizer = 'posts-grid-sizer-span-3';
    } //$masonry_column_count == 'entry-span3'
    if ($include_masonry == 'yes') {
        $output .= '<div class="' . $posts_grid_sizer . '"></div>';
    } //$include_masonry == 'yes'
    
    
    $wp_query = null;
    $wp_query = new WP_Query();
    $wp_query->query('showposts=' . $post_count . '&post_type=post');
    
    while ($wp_query->have_posts()):
        $wp_query->the_post();
        
        $num_comments = get_comments_number();
        
        if ($num_comments == 1) {
            $comments = '' . get_comments_number() . ' comment';
        } //$num_comments == 1
        elseif ($num_comments == 0) {
            $comments = 'no comments';
        } //$num_comments == 0
        else {
            $comments = '' . get_comments_number() . ' comments';
        }
        
        global $post;
        $format = get_post_format($post->ID);
        if ($format == 'video') {
            ob_start();
            require get_template_directory() . '/inc/post-templates/entry-video.php';
            $output .= ob_get_clean();
        } //$format == 'video'
        elseif ($format == 'audio') {
            require get_template_directory() . '/inc/post-templates/entry-audio.php';
            $output .= ob_get_clean();
        } //$format == 'audio'
            elseif ($format == 'gallery') {
            ob_start();
            require get_template_directory() . '/inc/post-templates/entry-gallery.php';
            $output .= ob_get_clean();
        } //$format == 'gallery'
            elseif ($format == 'quote') {
            ob_start();
            require get_template_directory() . '/inc/post-templates/entry-quote.php';
            $output .= ob_get_clean();
        } //$format == 'quote'
            elseif ($format == 'image') {
            ob_start();
             require get_template_directory() . '/inc/post-templates/entry-image.php';
            $output .= ob_get_clean();
        } //$format == 'image'
        else {
            ob_start();
            require get_template_directory() . '/inc/post-templates/entry-standard.php';
            $output .= ob_get_clean();
        }
    endwhile;
    
    $output .= '</div>';
    
    return $output;
}
add_shortcode("kbv_blog_posts", "kbv_blog_posts");

// Image Reveal
function kbv_image_reveal($atts, $content = null)
{
    extract(shortcode_atts(array( //Combines user shortcode attributes with known attributes and fills in defaults when needed. The result will contain every key from the known attributes, merged with values from shortcode attributes.
        'img1_id' => '',
        'img2_id' => '',
        'drop_shadow' => '',
        'reveal_x_position' => '20'
    ), $atts));
    
    $image_1_attributes = wp_get_attachment_image_src($img1_id, 'large'); // returns an array
    $image_2_attributes = wp_get_attachment_image_src($img2_id, 'large'); // returns an array
    
    $output .= '<div class="reveal '.$drop_shadow.'">';
    $output .= '    <img class="img1" src="' . $image_2_attributes[0] . '" alt="' . get_post_meta($img1_id, '_wp_attachment_image_alt', true) . '">';
    $output .= '    <img class="img2" src="' . $image_1_attributes[0] . '" alt="' . get_post_meta($img2_id, '_wp_attachment_image_alt', true) . '" style="clip: rect(0px, ' . $reveal_x_position . 'px, 9999px, 0px);">';
    $output .= '    <div class="activator"></div>';
    $output .= '</div>';
    
    return $output;
}
add_shortcode("kbv_image_reveal", "kbv_image_reveal");

//Uses the page ID to grab it's contents and display on another page
function get_post_page_content( $atts ) {
      extract( shortcode_atts( array(
        'id' => null,
        'title' => false,
      ), $atts ) );

      $the_query = new WP_Query( 'page_id='.$id );
      while ( $the_query->have_posts() ) {
        $the_query->the_post();
              the_content();
      }
      wp_reset_postdata();

    }
add_shortcode( 'my_content', 'get_post_page_content' );
?>