<?php 
/**
 * Index
 *
 * @package Ilander
 * @version 1.1.3
**/
?>
<?php get_header(); ?>

<?php 
	$full_width = get_theme_mod('kbv_full_blog_width' );
	$include_sidebar = get_theme_mod('kbv_include_sidebar' );
	$include_masonry = get_theme_mod('kbv_include_masonry' );
	$masonry_style = get_theme_mod('kbv_masonry_style' );
	$post_content = get_theme_mod('kbv_post_content', 'summary' );

	if (empty($full_width)) {
		$full_width = 'container'; // The class container keeps each section within the selected page width
	}
	else {
		$full_width = '';
	}
	if (!empty($include_sidebar)) {
		$include_sidebar = 'col-sm-9';
	}
	else {
		$include_sidebar = 'col-sm-12';
	}

	if (!empty($include_masonry)) {
		$include_masonry = 'masonry';
	}

	if ($masonry_style == 'entry-span6' && !empty($include_masonry)) {
		$posts_grid_sizer = 'posts-grid-sizer-span-6'; //Column size for the Masonry layout
		$masonry_column_count = 'entry-span6'; //2 column layout
	}
	elseif ($masonry_style == 'entry-span3' && !empty($include_masonry)) {
		$posts_grid_sizer = 'posts-grid-sizer-span-3'; //Column size for the Masonry layout
		$masonry_column_count = 'entry-span3'; //4 column layout
	}
?>

<div class="container-wrapper entries-wrapper">
	<div class="<?php echo $full_width ?> row">
		<div class="<?php echo $include_sidebar; ?>">
			<div class="<?php echo $include_masonry; ?> entry-posts preload-hidden">

				<?php 
				if ($include_masonry == 'masonry') { 
					echo '<div class="'.$posts_grid_sizer.'"></div>'; //Column size for the Masonry layout
				} else {
					$masonry_style = '';
				}
				?>
				<?php if ($wp_query->have_posts()) : while ($wp_query->have_posts()) : $wp_query->the_post(); ?>

					<?php 
					$format = get_post_format( $post->ID ); // Get correct template based on format selection
					if ($format == 'video') {
						require get_template_directory() . '/inc/post-templates/entry-video.php'; //Include video template
					}
					elseif ($format == 'audio') {
						require get_template_directory() . '/inc/post-templates/entry-audio.php'; //Include audio template
					}
					elseif ($format == 'gallery') {
						require get_template_directory() . '/inc/post-templates/entry-gallery.php'; //Include gallery template
					}
					elseif ($format == 'quote') {
						require get_template_directory() . '/inc/post-templates/entry-quote.php'; //Include quote template
					}
					elseif ($format == 'image') {
						require get_template_directory() . '/inc/post-templates/entry-image.php'; //Include image template
					}
					else {
						require get_template_directory() . '/inc/post-templates/entry-standard.php'; //Include standard template
					}
					 ?>
				<?php endwhile; ?>

			</div> <!-- .entry-posts -->
			<?php get_template_part('inc/nav' ); //Get page navigation ?>
			<?php else : ?>
				<h2>No Blog Posts Found</h2>
			<?php endif; ?>
		</div> <!-- include sidebar -->
		<?php
		if ($include_sidebar == 'col-sm-9') { ?>
			<div class="col-sm-3">
				<?php get_sidebar(); ?>
			</div> <!-- .col-sm-3 -->	
		<?php } ?>
	</div> <!-- .row -->
</div> <!-- .container-wrapper -->

<?php get_footer(); ?>
