/*--------------------------------------------------------------
Flex Nav
--------------------------------------------------------------*/
jQuery(document).ready(function($) {         
  // initialize FlexNav
  jQuery("#mobile-menu ul").flexNav();
  if(jQuery('.widget ul').hasClass('menu')) {
    jQuery('.widget .menu').flexNav();
  } 
});

/*--------------------------------------------------------------
Scroll Reveal
--------------------------------------------------------------*/
window.sr = new scrollReveal();
/*--------------------------------------------------------------
Double Tap To Go
--------------------------------------------------------------*/
jQuery( '.item-filler' ).doubleTapToGo();

/*--------------------------------------------------------------
Preload
--------------------------------------------------------------*/
jQuery(window).load(function() {
  jQuery( ".preload-center, .preload-top, .preload-hidden" ).addClass( "active" ); //Remove classes when page is loaded
  setTimeout( function(){ 
    jQuery( "div, nav, section" ).removeClass( "preload-center preload-top preload-hidden" ); //Remove classes when page is loaded
  }
 , 1000 );
});

if ( jQuery( 'video' ).hasClass( "video-banner" ) ) {

  window.addEventListener('load', function() {
      var video = document.querySelector('#hero-video');
      var preloader = document.querySelector('.preload-video');

      function checkLoad() {
          if (video.readyState === 4) {
              jQuery( "div" ).removeClass( "preload-video" ); //Remove classes when page is loaded
          } else {
              setTimeout(checkLoad, 100);
          }
      }

      checkLoad();
  }, false);

}

/*--------------------------------------------------------------
Scroll to top button
--------------------------------------------------------------*/
jQuery(document).ready(function(){
  //Show or hide stick footer hidden.
  jQuery(window).scroll(function() {
    //See if scrolled 200px
    if (jQuery(this).scrollTop() > 200) {
      jQuery('#go-top').fadeIn(200); //Fade in scroll to top button
    }
    else {
      jQuery('#go-top').fadeOut(200); //Fade out scroll to top button
    }
  });
  //Animate scroll to top
  jQuery('#go-top').click(function(event){
    event.preventDefault();
    //Scroll back to top of page
    jQuery('html, body').animate({scrollTop:0}, 300);
  })
})

/*--------------------------------------------------------------
Match Height
--------------------------------------------------------------*/
function matchColumnHeight() {
  var byRow = jQuery('body');        
  jQuery('.equal-height').each(function() {
      jQuery(this).children('.wpb_column').matchHeight(byRow);
  });
}

jQuery(document).ready(function($) {
  matchColumnHeight();
});

/*--------------------------------------------------------------
Portfolio Single Slide Out Functon
--------------------------------------------------------------*/
jQuery( ".portfolio-slide-out-wrapper .open" ).click(function() {
  //Slide out portfolio content. Available on custom portfolio pages
  jQuery(".portfolio-slide-out-wrapper").css("right","0");
  jQuery("#header, #wrapper, #footer").css("left","-50%");
});

jQuery( ".portfolio-slide-out-wrapper .close" ).click(function() {
  //Close portfolio content. Available on custom portfolio pages
  jQuery(".portfolio-slide-out-wrapper").css("right","-50%");
  jQuery("#header, #wrapper, #footer").css("left","0");
});


/*--------------------------------------------------------------
Hero
--------------------------------------------------------------*/
// Resize the video elements so that we don't get any borders due to aspect ratio
var heroHeight = jQuery('#hero').height(); //Get the height of the header

jQuery(document).ready(function() {
    resizeVideo();
    if (jQuery("#sizer").css("float") == "right") {
        jQuery("#hero").css("height", heroHeight / 2.5); //Fix demensions for browser size
    } else if (jQuery("#sizer").css("float") == "left") {
        jQuery("#hero").css("height", heroHeight / 1.5); //Fix demensions for browser size
    } else {
        jQuery("#hero").css("height", heroHeight);
    }
});

//Run on window resize
jQuery(window).resize(function() {
    if (jQuery("#sizer").css("float") == "right") {
        jQuery("#hero").css("height", heroHeight / 2.5); //Fix demensions for browser size on resize
        resizeVideo(); //Run resize video function
    } else if (jQuery("#sizer").css("float") == "left") {
        jQuery("#hero").css("height", heroHeight / 1.5); //Fix demensions for browser size on resize
        resizeVideo(); //Run resize video function
    } else {
        jQuery("#hero").css("height", heroHeight);
        resizeVideo(); //Run resize video function
    }
});

function resizeVideo() {
    if (jQuery('#hero').height() > jQuery('#hero').width() * 0.5625) { // Which dimension is bigger dependant on aspect ratio (16:9)
        jQuery("#hero #hero-video").removeAttr("height").removeAttr("width").width("auto").height("100%");
        var centerWidth = (jQuery('#hero-video').width() - jQuery('#hero').width()) / 2;
        jQuery("#hero #hero-video").css({
            left: -centerWidth
        });
        jQuery("#hero #hero-video").css({
            top: 0
        });
    } else {
        jQuery("#hero #hero-video").removeAttr("height").removeAttr("width").removeAttr("left").width("100%").height("auto");
        var centerHeight = (jQuery('#hero #hero-video').height() - jQuery('#hero').height()) / 2;
        jQuery("#hero #hero-video").css({
            top: -centerHeight
        });
        jQuery("#hero #hero-video").css({
            left: 0
        });
    }
};

var resizeTimer;
// Add the resize function to the window resize event but put it on a short timer as to not call it too often
jQuery(window).resize(function() {
    clearTimeout(resizeTimer);
    resizeTimer = setTimeout(resizeVideo, 150); //Resize timer
});


/*--------------------------------------------------------------
Reveal Slider
--------------------------------------------------------------*/
if(jQuery('.activator').length >0 ) {
  jQuery( '.activator' ).mousemove(function( event ) {
     jQuery(this).prev().css('clip', 'rect(0px, '+(event.clientX - jQuery(this).offset().left)+'px, 9999px, 0px)');
  });
}


/*--------------------------------------------------------------
Isotope
--------------------------------------------------------------*/
/*--------------------------------------------------------------
Isotope - Portfolio
--------------------------------------------------------------*/
jQuery(window).load(function(){
  if(jQuery('.portfolio-container').length >0 ) {
    var container_masonry = jQuery('.portfolio-container.masonry').imagesLoaded( function() {
      container_masonry.isotope({
        itemSelector: '.item',
        masonry: {
            columnWidth: function() {
              // 10 columns
              return this.size.innerWidth / 10;
            }
        }
      });
    });


    var container = jQuery('.portfolio-container.grid').imagesLoaded( function() {
      container.isotope({
          filter: '*',
          animationOptions: {
              duration: 750,
              easing: 'linear',
              queue: false
          }
      });   
    });

       
    jQuery('.portfolio-filter a').click(function(){
      jQuery('.portfolio-filter .current').removeClass('current');
      jQuery(this).addClass('current');
       
      var selector = jQuery(this).attr('data-filter');
      container.isotope({
        filter: selector,
        animationOptions: {
            duration: 750,
            easing: 'linear',
            queue: false
        }
      });
      container_masonry.isotope({
        filter: selector,
        animationOptions: {
            duration: 750,
            easing: 'linear',
            queue: false
        }
      });
      return false;
    });
  }
}); 


/*--------------------------------------------------------------
Isotope - Posts
--------------------------------------------------------------*/
jQuery(window).load(function(){
  if(jQuery('.entry-posts').length >0 ) {
    var container_entry = jQuery('.entry-posts').imagesLoaded( function() {
      container_entry.isotope({
        filter: '*',
        animationOptions: {
          duration: 750,
          easing: 'linear',
          queue: false
        }
      });
    });
  }
});


/*--------------------------------------------------------------
Flexslider
--------------------------------------------------------------*/
jQuery( document ).ready(function() {

  if(jQuery('.entry-flexslider').length >0 ) {
    jQuery('.entry-flexslider').flexslider({
      animation: "slide",
      animationLoop: true,
      slideshowSpeed: 10000,
      pauseOnHover: true,
      touch: true,
      smoothHeight: false,
      controlNav: false,   
    });
    matchColumnHeight(); //Make sure the column heights are matched
  }

  if(jQuery('.quote-flexslider').length >0 ) {
    jQuery('.quote-flexslider').flexslider({
      animation: "slide",
      animationLoop: true,
      slideshowSpeed: testimonial_flexslider__vars.speed,
      pauseOnHover: true,
      touch: true,
      smoothHeight: false
    });
    matchColumnHeight(); //Make sure the column heights are matched
  }

  if(jQuery('.carousel-flexslider').length >0 ) {
    (function() {

      // store the slider in a local variable
      var jQuerywindow = jQuery(window),
          flexslider;

      // tiny helper function to add breakpoints
      function getGridSize() {
        return (window.innerWidth < 768) ? carousel_flexslider__vars.size_mobile :
             (window.innerWidth < 1024) ? carousel_flexslider__vars.size_tablet : carousel_flexslider__vars.size_desktop;
      }

      jQuerywindow.load(function() {
        jQuery('.carousel-flexslider').flexslider({
          animation: "slide",
          animationSpeed: 400,
          animationLoop: true,
          itemWidth: 210,
          itemMargin: 0,
          minItems: getGridSize(), // use function to pull in initial value
          maxItems: getGridSize(), // use function to pull in initial value
          start: function(slider){
            flexslider = slider;
            matchColumnHeight(); //Make sure the column heights are matched
          }
        });
      });

      // check grid size on resize event
      jQuerywindow.resize(function() {
        var gridSize = getGridSize();

        flexslider.vars.minItems = gridSize;
        flexslider.vars.maxItems = gridSize;
      });
    }());
  }

});
/*--------------------------------------------------------------
Parallax
--------------------------------------------------------------*/
jQuery(document).ready(function(){
  var interval = setInterval(doParallax, 1);

var counter = '1';
function doParallax() {
        if (jQuery('div').hasClass('parallax-' + counter)) {
          jQuery('.parallax-' + counter).parallax("50%", 0.3);

          counter++;
        }
        else {
          clearInterval(interval);
        }
    };

})
