<?php 
/**
 * Search
 *
 * @package Ilander
 * @version 1.1.3
**/
?>

<?php get_header(); ?>
 
<?php kbv_page_title('Search Results for &quot;'.wp_specialchars($s).'&quot') ?>

<?php
	//Create variables 
	$full_width = get_theme_mod('kbv_full_blog_width' );
	$include_sidebar = get_theme_mod('kbv_include_sidebar' );
	$include_masonry = get_theme_mod('kbv_include_masonry' );
	$masonry_style = get_theme_mod('kbv_masonry_style' );

	if (empty($full_width)) {
		$full_width = 'container'; //Boxes content in section 
	}
	else {
		$full_width = ''; //section will expand full width
	}
	if (!empty($include_sidebar)) {
		$include_sidebar = 'col-sm-9'; //Make room for right sidebar
	}
	else {
		$include_sidebar = 'col-sm-12'; //No sidebar included
	}

	if (!empty($include_masonry)) {
		$include_masonry = 'masonry'; //Masonry layout will be included
	}

	$post_content = get_theme_mod('kbv_post_content', 'summary' );

?>


<div class="container-wrapper entries-wrapper">
	<div class="<?php echo $full_width ?> row">
		<div class="<?php echo $include_sidebar; ?>">
			<div class="<?php echo $include_masonry; ?> entry-posts preload-hidden">
				<?php 
				if ($masonry_style == 'entry-span6') {
					$posts_grid_sizer = 'posts-grid-sizer-span-6'; //2 column blog layout
				}
				elseif ($masonry_style == 'entry-span3') {
					$posts_grid_sizer = 'posts-grid-sizer-span-3'; //4 column blog layout
				}

				if ($include_masonry == 'masonry') { //If Masonry is included
					echo '<div class="'.$posts_grid_sizer.'"></div>';
				} else {
					$masonry_style = ''; //Remove Masonry style
				}
				?>

				<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

					<div class="entry-post row item <?php echo $masonry_style;?>">
				
						<?php if ( '' != get_the_post_thumbnail() ) { ?>
						<div class="col-sm-12 feat-content">
							<a href="<?php the_permalink() ?>"><img src="<?php $src = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), array( 1000,1000 ), false, '' ); echo $src[0]; ?>"></a> 
						</div> <!-- .feat-content -->

						<?php } ?>
						<div class="col-sm-12">
					    	<div class="right-padding bottom-padding left-padding">
								<h3 id="post-<?php the_ID(); ?>" class="entry-title"><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h3>
								<hr>
								<div class="post-meta">
									<span class="meta-author">
										<i class="fa fa-user"></i><?php the_author() ?>
									</span><!-- .meta-author -->
									<span class="meta-time">
										<i class="fa fa-calendar"></i><?php the_time('F jS, Y') ?>
									</span><!-- .meta-time -->
								</div> <!-- .post-meta -->
								<a class="button-style-two read-more-btn" href="<?php the_permalink(); ?>">Read More</a>
							</div> <!-- padding -->
						</div> <!-- .col-sm-12 -->
					</div> <!-- .entry-post -->

				<?php endwhile; ?>

			</div> <!-- .entry-posts -->

			<?php get_template_part('inc/nav' ); //Include navigation ?>

				<?php else : ?>

					<h2>No Blog Posts Found</h2> <!-- No posts have been found -->

				<?php endif; ?>
		</div> <!-- Include Sidebar -->
		<?php
		if ($include_sidebar == 'col-sm-9') { ?>
		<div class="col-sm-3">
			<?php get_sidebar(); ?>
		</div> <!-- .col-sm-3 -->
		<?php } ?>
	</div> <!-- .row -->
</div> <!-- .container-wrapper -->



<?php get_footer(); ?>