<?php 
/**
 * Single Portfolio
 *
 * @package Ilander
 * @version 1.1.3
**/
?>

<?php get_header(); ?>
<?php
   //Create variables
   $project_description = get_field("project_description");
   $creator = get_field("creator");
   $client = get_field("client");
   $creator_website_link = get_field("creator_website_link");
   $full_project_link = get_field('full_project_link');
   $link_to_custom_page = get_field('link_to_custom_page');
   $separator = '&nbsp;&nbsp;&nbsp;';
   ob_start();
   previous_post_link('%link', '<i class="fa fa-angle-left"></i>');
   $pre = ob_get_clean();
   ob_start();
   next_post_link('%link', '<i class="fa fa-angle-right"></i>');
   $next = ob_get_clean();
   ?>
<?php echo kbv_header(); ?>
<?php
   $post_object = get_field('page_select');
   if( $post_object && $link_to_custom_page == '1' ): //If user chooses to use a custom page as their portfolio item's page instead of the standard template
   	// override $post
   	$post = $post_object;
   	setup_postdata( $post ); 
   	?>
<div class="single-portfolio-custom">
   <?php 
      $id = get_the_ID(); //Get post ID
      echo do_shortcode( '[my_content id="'.$id.'"/]' ); //This shortcode will display contents of another page by giving it that page's ID ?>
</div><!-- .single-portfolio-custom -->
<?php wp_reset_postdata(); // IMPORTANT - reset the $post object so the rest of the page works correctly ?>
<?php endif; ?>
<?php if($post->post_content == "" && $link_to_custom_page != '1') {?>
<div class="container-wrapper">
   <div class="container entries-wrapper row">
      <div class="col-sm-9">
         <div id="post-<?php the_ID(); ?>" class="entry-post preload-hidden">
            <?php 
               $format = get_post_format( $post->ID );
               if ($format == 'video') {
               	get_template_part('inc/single-templates/entry-video' ); //Include video template
               }
               elseif ($format == 'audio') {
               	get_template_part('inc/single-templates/entry-audio' ); //Include audio template
               }
               elseif ($format == 'gallery') {
               	get_template_part('inc/single-templates/entry-gallery' ); //Include gallery template
               }
               elseif ($format == 'quote') {
               	get_template_part('inc/single-templates/entry-quote' ); //Include quote template
               }
               elseif ($format == 'image') {
               	get_template_part('inc/single-templates/entry-image' ); //Include image template
               }
               else {
               	get_template_part('inc/single-templates/entry-standard' ); //Include standard template
               }
               ?>
            <div class="right-padding bottom-padding left-padding">
               <?php // echo related_portfolio_posts(); ?>
               <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
               <div <?php post_class() ?> id="post-<?php the_ID(); ?>">
                  <?php edit_post_link('Edit this entry','','.'); //Displays a link to edit the current post, if a user is logged in and allowed to edit the post. ?>	
               </div>
               <div class="hidden-sm hidden-md hidden-lg entry-details">
                  <div class="row">
                     <div class="col-xs-9 no-padding">
                        <?php the_title( sprintf( '<h3 class="entry-title">', esc_url( get_permalink() ) ), '</h3>' ); ?>
                     </div><!-- .col-xs-9 -->
                     <div class="col-xs-3 no-padding">
                        <?php if( function_exists('zilla_likes') ) zilla_likes(); //See if the Zilla Likes plugin is installed ?>
                     </div><!-- .col-xs-3 -->
                  </div><!-- .row -->
                  <hr>
                  <div>
                     <ul class="project-details">
                        <?php if (!empty($creator) && empty($creator_website_link)) { //See if there is a creator by checking the input field. Then see if a url is provided for the creators website in the portfolio post.
                           echo '<li><strong>Creator:</strong> '.$creator.'</li>';
                           }
                           elseif (!empty($creator) && !empty($creator_website_link)) { //See if there is a creator by checking the input field. Then see if a url is provided for the creators website in the portfolio post.
                           echo '<li><strong>Creator:</strong> <a target="_blank" href="'.$creator_website_link.'">'.$creator.'</a></li>';
                           } ?>
                        <?php if ($client) { //See if a client is provided by checking the input field in the portfolio post
                           echo '<li><strong>Client:</strong> '.$client.'</li>';
                           } ?>
                        <!--li><strong>Date:</strong> <?php get_the_date(); ?></li-->
                        <?php echo portfolio_taxonomies(); //Run function to get skills ?>
                     </ul><!-- .project-details -->
                     <div class="entry sub-text">
                        <?php 
                           echo $project_description;
                           if ($full_project_link) { //If there is a link to the full project
                           	echo '<a target="_target" class="button-style-one" href="'.$full_project_link.'">View Full Project</a>'; //Full project link will display if provided
                           }
                           ?>
                     </div><!-- .entry -->
                  </div><!-- div -->
               </div><!-- .entry-details -->
               <div class="row post-link-wrapper">
                  <div class="col-xs-8 no-padding">
                     <div class="previous-post-wrapper post-link">
                        <?php previous_post_link('%link', '<i class="fa fa-angle-left"></i>Anterior'); ?>
                     </div><!-- .previous-post-wrapper -->
                    <?php kbv_social_share(); ?>
                  </div><!-- .col-xs-8 -->
                  <div class="col-xs-4 no-padding">
                     <div class="next-post-wrapper post-link">
                        <?php next_post_link('%link', 'Siguiente<i class="fa fa-angle-right"></i>'); ?> 
                     </div><!-- .next-post-wrapper -->
                  </div><!-- .col-xs-4 -->
               </div><!-- .row -->
               <?php
                  // If comments are open or we have at least one comment, load up the comment template
                  if ( comments_open() || '0' != get_comments_number() ) :
                  	comments_template();
                  endif;
                  ?>
            </div><!-- .right-padding -->
         </div><!-- .entry-post -->
      </div><!-- .col-sm-9 -->
      <div class="col-sm-3 hidden-xs entry-details">
         <div class="row">
            <div class="col-xs-9 no-padding">
               <?php the_title( sprintf( '<h3 class="entry-title">', esc_url( get_permalink() ) ), '</h3>' ); ?>
            </div><!-- .col-xs-9 -->
            <div class="col-xs-3 no-padding">
               <?php if( function_exists('zilla_likes') ) zilla_likes(); ?>
            </div><!-- .col-xs-3 -->
         </div><!-- .row -->
         <hr>
         <div>
            <ul class="project-details">
               <?php if (!empty($creator) && empty($creator_website_link)) {
                  echo '<li><strong>Creator:</strong> '.$creator.'</li>';
                  }
                  elseif (!empty($creator) && !empty($creator_website_link)) {
                  echo '<li><strong>Creator:</strong> <a target="_blank" href="'.$creator_website_link.'">'.$creator.'</a></li>';
                  } ?>
               <?php if ($client) {
                  echo '<li><strong>Client:</strong> '.$client.'</li>';
                  } ?>
               <!--li><strong>Date:</strong> <?php the_date(); ?></li-->
               <?php echo portfolio_taxonomies(); ?>
            </ul><!-- .project-details -->
            <div class="entry sub-text">
               <?php 
                  echo $project_description;
                  if ($full_project_link) {
                  	echo '<a target="_target" class="button-style-one" href="'.$full_project_link.'">View Full Project</a>';
                  }
                  ?>
            </div><!-- .entry -->
         </div><!-- div -->
      </div><!-- .col-sm-3 -->
   </div><!-- .container -->
</div><!-- .container-wrapper -->
<?php endwhile; endif; ?>
<?php 
   } else { 
   if (have_posts()) : while (have_posts()) : the_post();
   	ob_start();
   	the_content();
   	$content = ob_get_clean();
   	echo '<div id="post-'.get_the_ID().'">'.$content.'</div>'; 
   ?>
<!-- .portfolio-slide-out-wrapper is used when a custom page is used -->
<div class="portfolio-slide-out-wrapper transition">
	<span class="open transition">
		<span class="hidden-xs">Comment</span> 
		<i class="fa fa-comment"></i>
		<span>/</span>
		<span class="hidden-xs">Share</span> 
		<i class="fa fa-share"></i>
	</span><!-- .open -->
	<div class="portfolio-slide-out-container">
	   <?php $src = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), array( 1000,1000 ), false, '' ); //Get the featured image ?>
	   <div class="portfolio-slide-out">
	      <div class="portfolio-slide-out-cover" style="background-image: url('<?php echo $src[0]; //Set the featured image as the background image ?>');">
	      </div><!-- .portfolio-slide-out-cover -->
	      <div class="row">
	         <div class="col-xs-12">
	            <div <?php post_class() ?> id="post-<?php the_ID(); ?>">
	               <?php edit_post_link('Edit this entry','','.'); //Displays a link to edit the current post, if a user is logged in and allowed to edit the post.  ?>	
	            </div><!-- .col-xs-12 -->
	            <div class="row">
	               <div class="col-xs-9 no-padding">
	                  <?php the_title( sprintf( '<h3 class="entry-title">', esc_url( get_permalink() ) ), '</h3>' ); ?>
	               </div><!-- .col-xs-9 -->
	               <div class="col-xs-3 no-padding">
	                  <?php if( function_exists('zilla_likes') ) zilla_likes(); //Add Zilla Likes if plugin is installed ?>
	               </div><!-- .col-xs-3 -->
	            </div><!-- .row -->
	            <hr>
	            <div class="row post-link-wrapper">
	               <div class="col-xs-6 col-sm-8 no-padding">
	                  <div class="previous-post-wrapper post-link">
	                     <?php previous_post_link('%link', '<i class="fa fa-angle-left"></i><span class="hidden-xs">Previous</span>'); //Link to the previous portfolio item ?>
	                  </div><!-- .previous-post-wrapper -->
                     <?php kbv_social_share('post-social-share hidden-sm hidden-xs'); ?>
	               </div>
	               <div class="col-xs-6 col-sm-4 no-padding">
	                  <div class="next-post-wrapper post-link">
	                     <?php next_post_link('%link', '<span class="hidden-xs">Next</span><i class="fa fa-angle-right"></i>'); //Link to next portfolio item ?>
	                     <span class="close transition hidden-sm hidden-xs" target="_blank" href="#"><i class="fa fa-times"></i></span>
	                  </div><!-- .next-post-wrapper -->
	               </div><!-- col-xs-6 -->
	            </div><!-- .row -->
	            <div class="row hidden-md hidden-lg post-link-wrapper post-link">
	               <div class="col-xs-9 no-padding">
	                  <?php kbv_social_share(); ?>
	               </div><!-- .col-xs-9 -->
	               <div class="col-xs-3 no-padding">
	                  <span class="close transition" target="_blank" href="#"><i class="fa fa-times"></i></span>
	               </div><!-- .col-xs-9 -->
	            </div><!-- .row -->
	            <?php
	               // If comments are open or we have at least one comment, load up the comment template
	               if ( comments_open() || '0' != get_comments_number() ) :
	               	comments_template();
	               endif;
	               ?>
	         </div><!-- .col-xs-12 -->
	      </div><!-- .row -->
	   </div><!-- .portfolio-slide-out -->
	</div><!-- .portfolio-slide-out-container -->
</div><!-- .portfolio-slide-out-wrapper -->
<?php endwhile; endif; 
   } ?>
<?php get_footer(); ?>