<?php 
/**
 * Single
 *
 * @package Ilander
 * @version 1.1.3
**/
?>

<?php get_header(); ?>

<div class="container-wrapper">
	<div class="container entries-wrapper row">
		<div class="col-sm-9 preload-hidden">
			<div class="entry-post">
				<?php 
					// Check to see what the post format is.
					$format = get_post_format( $post->ID );
					if ($format == 'video') {
						get_template_part('/inc/single-templates/entry-video' ); //Load Video template
					}
					elseif ($format == 'audio') {
						get_template_part('/inc/single-templates/entry-audio' ); //Load Audio template
					}
					elseif ($format == 'gallery') {
						get_template_part('inc/single-templates/entry-gallery' ); //Load Gallery template
					}
					elseif ($format == 'quote') {
						get_template_part('inc/single-templates/entry-quote' ); //Load Quote template
					}
					elseif ($format == 'image') {
						get_template_part('inc/single-templates/entry-image' ); //Load Image template
					}
					else {
						get_template_part('inc/single-templates/entry-standard' ); //Load standard template
					}
				?>
				
			    <div class="right-padding bottom-padding left-padding">
				<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

					<div <?php post_class() ?> id="post-<?php the_ID(); ?>">
						<div class="row">
							<div class="col-xs-9 no-padding">
								<?php the_title( sprintf( '<h2 class="entry-title">', esc_url( get_permalink() ) ), '</h2>' ); ?>
							</div><!-- .col-xs-9 -->
							<div class="col-xs-3 no-padding">
								<?php if( function_exists('zilla_likes') ) zilla_likes(); ?>
							</div><!-- .col-xs-3 -->
						</div><!-- .row -->
						
						<div class="post-meta">
								<span class="meta-author"><i class="fa fa-user"></i><?php the_author() ?></span>
								<span class="meta-time"><i class="fa fa-calendar"></i><?php the_time('F jS, Y') ?></span>
						</div><!-- .post-meta -->

						<div class="entry">
							
							<?php the_content(); ?>

							<?php the_tags('<p class="tags">', '','</p>'); ?> 

							<?php wp_link_pages(array('before' => 'Pages: ', 'next_or_number' => 'number')); ?>

						</div><!-- .entry -->
						<div class="row post-link-wrapper">
							<div class="col-xs-8 no-padding">
								<div class="previous-post-wrapper post-link">
									<?php previous_post_link('%link', '<i class="fa fa-angle-left"></i>Previous'); //Link to the previous post ?>
								</div>
								<?php kbv_social_share(); ?>
							</div>
							<div class="col-xs-4 no-padding">
								<div class="next-post-wrapper post-link">
									<?php next_post_link('%link', 'Next<i class="fa fa-angle-right"></i>'); //Link to the next post ?> 
								</div>
							</div>
						</div>
						<?php edit_post_link('Edit this entry','',''); //Displays a link to edit the current post, if a user is logged in and allowed to edit the post. ?>
					</div> <!-- #post-ID -->
			
			<?php
				// If comments are open or we have at least one comment, load up the comment template
				if ( comments_open() || '0' != get_comments_number() ) :
					comments_template();
				endif;
			?>

	<?php endwhile; endif; ?>
				</div> <!-- .padding -->
			</div> <!-- .entry-post -->
		</div> <!-- .sol-sm-9 -->
		<div class="col-sm-3">
			<?php get_sidebar(); ?>
		</div> <!-- .col-sm-3 -->
	</div> <!-- .container -->
</div> <!-- .container-wrap -->

<?php get_footer(); ?>