<?php 
/**
 * Taxonomy Portfolio Categories
 *
 * @package Ilander
 * @version 1.1.3
**/
?>

<?php get_header(); ?>

<?php
	//Create variables
	$image_size = get_theme_mod('kbv_image_size', 'folio-col-4' );
	$full_folio_width = get_theme_mod('kbv_full_folio_width');
	$include_gutter = get_theme_mod('kbv_include_gutter', 0);
	$include_folio_masonry = get_theme_mod('kbv_include_folio_masonry');
	$masonry_size = get_theme_mod('kbv_masonry_size');
	$thumb_style = get_theme_mod('kbv_image_dimension', 'normal' ) . '-thumb';
	
	if ($include_gutter != 0) {//If include_gutter is true, 1 pixel of padding will be added around the portfolio item
		$include_gutter = 1;
	}

	if ($masonry_size == 'small') {
			$width1 = 'w3';
			$width2 = 'w4';
			$folio_grid_sizer = 'folio-grid-sizer-small'; //Smaller Thumbnails
	}
	else {
		$width1 = 'w1';
		$width2 = 'w2';
		$folio_grid_sizer = 'folio-grid-sizer-normal'; //Normal size thumbnails
	}
?>

<div class="container-wrapper header-wrapper">
    <div class="container">
        <div class="col-xs-12">
        	<br>
        	<h2><?php single_cat_title( '', true ); ?></h2>
        	<hr>
        </div><!-- .col-xs-12 -->
    </div><!-- .container -->
</div><!-- .container-wrapper -->


<?php if (empty($full_folio_width)) { ?>
<div class="container-wrap post-wrap">
	<div class="container">
		<div class="col-sm-12">
<?php } else {?>
<div class="post-wrap">
<?php } ?>
			<div class="row section portfolio-thumb-wrapper portfolio-container masonry preload-hidden">
			<?php
			if (!empty($include_folio_masonry)) {
				echo '<div class="'.$folio_grid_sizer.'"></div>'; //folio_grid_sizer helps us make the content responsive
			}
			?>

			<?php while (have_posts()) : the_post(); ?>

			<?php 
				$masonry_item_size = get_field('masonry_size');
				$item_color = get_field('item_color');
				$link_to_custom_page = get_field('link_to_custom_page');
				$permalink = get_permalink();

				// Determines the size of each thumbnail
				if ($masonry_item_size == 'wide' && !empty($include_folio_masonry)) {
					$thumb_style = 'wide-thumb';
					$masonry_size = $width2;
				}
				elseif ($masonry_item_size == 'tall' && !empty($include_folio_masonry)) {
					$thumb_style = 'tall-thumb';
					$masonry_size = $width1;
				}
				elseif ($masonry_item_size == 'square' && !empty($include_folio_masonry)) {
					$thumb_style = 'square-thumb';
					$masonry_size = $width1;
				}
				elseif ($masonry_item_size == 'widetall' && !empty($include_folio_masonry)) {
					$thumb_style = 'square-thumb';
					$masonry_size = $width2;
				}
				$thumbnail = get_the_post_thumbnail( $post->ID, $thumb_style);
			?>

			<?php if (!empty($include_folio_masonry)) { ?>
				<div class="item <?php echo $masonry_size ?>" style="<?php echo 'padding: '.$include_gutter.'px'; ?>">
			<?php } else { ?>
				<div class="item <?php echo $image_size ?>" style="<?php echo 'padding: '.$include_gutter.'px'; ?>">
			<?php } ?>
					<div class="portfolio-thumb">
						
						<?php echo $thumbnail; ?>
						<a class="item-filler" href="<?php echo $permalink; ?>">
							<div class="vcenter-wrapper">
								<div class="vcenter">
									<span class="transition portfolio-title"><?php the_title(); ?></span>
								</div> <!-- .vcenter -->
							</div> <!-- .vcenter-wrapper -->
						</a> <!-- .item-filler -->
						<div class="item-cover <?php echo $item_color; ?>">
						</div> <!-- .item-cover -->
					</div> <!-- .portfolio-thumb -->
				</div> <!-- .item -->

			<?php endwhile; ?>

			<?php get_template_part('inc/nav.php'); ?>

			</div> <!-- .portfolio-container -->
			
	<?php if (empty($full_folio_width)) { ?>
			</div> <!-- .col-sm-12 -->
		</div> <!-- .container -->
	</div> <!-- .post-wrap -->
	<?php } else {?>
	</div> <!-- .post-wrap -->
	<?php } ?>

<?php get_footer(); ?>